About IconEdit Pro

Über IconEdit Pro

IconEdit Pro ist ein sehr leistungsfähiger und bedienungsfreundlicher Iconeditor und -browser für Windows 95/98/NT mit dem Sie Icons, Cursors und sogar animierte Cursors mit bis zu 256 Farben in verschiedenen Größen erstellen können.

Es können beliebige Ausschnitte festgelegt, verschoben, gespiegelt oder gedreht werden. Icons können aus EXE- und DLL-Dateien extrahiert und auch aus einem Bild (BMP, RLE, JPG, GIF) oder direkt aus der Windows Oberfläche ausgeschnitten, verkleinert und vergrößert werden.

Die einzelnen Icons können in einer Iconressource (eine Datei die mehrere Icons in verschiedener Größe und Farbanzahl enthalten kann) gespeichert werden, was die Verwaltung erleichtert und sehr viel Platz auf der Festplatte spart.

Eindrucksvolle Hilfsmittel, wie etwa die Schattenfunktion (mit der sich ganz einfach 3D-Effekte erzielen lassen), radiale, frei drehbare lineare und konische Farbverläufe, Antialiasing, Kontrastregelung, Helligkeits-/Sättigungsregelung, usw. können die Arbeit sehr erleichtern.

Alle Icons in einem Verzeichnis, einer Iconressource, einer EXE- oder einer DLL-Datei werden übersichtlich angezeigt und können mit oder ohne ihren Dateinamen gedruckt werden. Einzelne Icons können sogar in beliebiger Größe gedruckt werden.


Was ist neu?

V7.0 | V7.01 |  |  |  |  |  |  |
V6.0 | V6.01 | V6.02 |  |  |  |  |  |
V5.0 | V5.01 |  |  |  |  |  |  |
V4.0 | V4.01 |  |  |  |  |  |  |
V3.0 | V3.5 |  |  |  |  |  |  |
V2.0 | V2.1 | V2.21 | V2.2 | V2.3 | V2.4 | V2.5 | V2.51 | V2.52
V1.0 |  |  |  |  |  |  |  |

Version 7.01:

  • Fehlerbeseitigung: Das Programm stürzte ab wenn der Mauszeiger über das Symbol für die Farbverlauf-Optionen bewegt wurde.
  • Fehlerbeseitigung: Icons einer DLL/EXE extrahieren funktionierte nicht richtig (schwarze Icons).
  • Fehlerbeseitigung: Unter 'Hilfe/Info' wurde die Versionsnummer 6.01 angezeigt.

Version 7.0:

  • Neue Funktion: Highlight - erstellt Glanzpunkte
  • Neue Funktion: Ausschneiden - schneidet den markierten Bereich aus dem Icon aus und ändert dabei die Größe des Icons
  • Neue Funktion: Einfügen In - fügt in eine bestehende Markierung ein
  • Neue Funktion: Floyd Steinberg Dithering - verbessert die Qualität bei der Umwandlung in ein schwarz/weiß Bild
  • Icons können jetzt bis zu 96x96 Pixel groß sein
  • Icons können jetzt auch rechteckig sein (z.B. 90x40 Pixel)
  • Beim Ausschneiden aus Bitmaps im Öffnen Dialog kann nun eine rechteckige Zielgröße angegeben werden
  • Bitmaps (BMP, GIF, JPG) können im Öffnen Dialog direkt durch einen Doppelklick als Icon übernommen werden
  • Es können jetzt auch WBMP Bilder (für WAP Handys) geöffnet und gespeichert werden
  • Text kann nun auch 'fett' und 'kursiv' erstellt werden
  • Wenn ein Icon mit weniger als 32x32 Pixel in eine Animation eingefügt wird, wird es nicht mehr vergrößert
  • .ICO Dateien können nun unter 'Spezial/Optionen' mit IconEdit Pro verknüpft werden
  • Beim Start können jetzt auch BMP, GIF, und JPG Dateien geöffnet und skaliert werden
  • Icons und Bitmaps können per Drag&Drop vom Explorer in den Editor gezogen werden
  • Im Script Editor wird nun die Zeilennummer angezeigt
  • XPM (Unix Icons) können nun mit mehr als 256 Farben gespeichert werden
  • Der IconWizard kann einige System-Icons mehr ändern
  • Fehlerbeseitigung: XPM Dateien wurden nicht gespeichert wenn 'Farben/Farben zählen' deaktiviert war
  • Fehlerbeseitigung: Beim Reduzieren auf 256 Farben hatte das Icon oft immer noch 257 Farben
  • Fehlerbeseitigung: Beim Speichern wurde manchmal die Datei fälschlicher Weise als 'schreibgeschützt' ausgewiesen
  • Fehlerbeseitigung: Wenn der Öffnen Dialog maximiert und der Ressource Editor geöffnet wurde, stürzte das Programm ab
  • Fehlerbeseitigung: Wenn im Dialogfeld 'Benutzerdefinierte Größe' auf 'Schließen' geklickt wurde, stürzte das Programm ab
  • Fehlerbeseitigung: Bei 'In Zwischenablage kopieren' wurde die Zwischenablage nicht überschrieben wenn kein Bereich markiert war
  • Fehlerbeseitigung: Im Script Editor wurde anstatt PALETTENR das Schlüsselwort OPEN ausgegeben
  • Fehlerbeseitigung: Im Script Editor hatte hatte der Button 'Abbrechen' (Cancel) keine Funktion
  • Fehlerbeseitigung: Im Registrierungsmodul trat am Ende ein Fehler auf wenn die Sprache auf 'Englisch' gestellt war

Version 6.02:

  • Neue Funktion: Beim Ausschneiden aus Bitmaps im Öffnen Dialog wird ein Teil vergrößert dargestellt, um das Ausschneiden zu erleichtern
  • Fehlerbeseitigung: Wenn eine Startpalette angegeben wurde, trat ein Fehler auf

Version 6.01:

  • Die Fenstergröße des Editors und des Öffnen Dialoges kann nun gespeichert werden (Menü: Spezial/Optionen)
  • Fehlerbeseitigung: Icons wurden nicht richtig aus Iconressourcen extrahiert

Version 6.0:

  • Neue Funktion: Komplett neue Zeichenengine
  • Neue Funktion: Scripts um Abläufe zu automatisieren
  • Neue Funktion: Rechteckiger Farbverlauf
  • Neue Funktion: Füllen mit einem Muster
  • Neue Funktion: Lesen/Speichern von Unix Icons (.XPM)
  • Die Schatten-Funktion verwendet nun auch die Dichte-Einstellung (damit können Sie transparente Schatten erstellen
  • Die Größe des Editors und des Öffnen Dialoges kann nun verändert werden
  • Der Zeichenstift kann jetzt größer als ein Punkt sein
  • Beim extrahieren der Farben eines Icons können sie sortiert werden
  • Im Öffnen Dialog kann nun *.* ausgewählt werden um alle Dateien auf Icons zu überprüfen
  • Beim extrahieren von Icons aus EXE/DLL Datein wird nun auch die Maske extrahiert
  • Die Farben können nun jederzeit reduziert werden (Menü: Farben/Farben reduzieren)
  • Die Farbpalette wird nun nicht mehr zurückgesetzt wenn ein Icon geöffnet wird
  • Die eingestellte Schriftgröße im Text Dialog bleibt erhalten wenn eine neue Schrift ausgewählt wird
  • Fehlerbeseitigung: Das Extrahieren von mehr als einem Icon aus einer EXE/DLL Datei funktionierte nicht
  • Fehlerbeseitigung: Ein Icon wurde als Bitmap gespeichert wenn die Endung nicht genau '.ico' war (z.B. '.Ico', '.ICO').
  • Fehlerbeseitigung: Icons mit der Größe von 17 bis 20 und 48 bis 51 Punkten wurden nicht richtig gespeichert
  • Fehlerbeseitigung: Das Verschieben eines Bildes in einer Animation funktionierte nicht richtig
  • Fehlerbeseitigung: Es konnte kein weißer Text erstellt werden
  • Fehlerbeseitigung: Wenn die Farben in einem Icon auf 256 reduziert wurden, wurden immer noch 257 Farben angezeigt wenn das Icon transparente Pixels enthielt
  • Fehlerbeseitigung: Icons wurden nicht richtig gespeichert wenn im System nicht 'Schwarz' für die '3D-Objekte' eingestellt ist
  • Fehlerbeseitigung: Das Icon wurde nicht gespeichert wenn die Zieldatei schreibgeschützt war
  • Fehlerbeseitigung: Wenn im System die Farbtiefe auf 32 Bit eingestellt ist, startete des Fehlerberichtsprogramm nicht

Version 5.01:

  • Neue Funktion: Farben extrahieren
  • 'Animationspanel beim Start öffnen' wurde wieder in die Optionen aufgenommen
  • In der Liste der zuletzt geöffneten Dateien werden keine doppelten Einträge mehr geführt
  • Wenn im System nicht 'Grau' für die 3D-Objekte eingestellt war, traten Farbverfälschungen auf
  • Fehlerbeseitigung: Wenn im Öffnen Dialog 'EXE, DLL..' ausgewählt wurde, stürzte das Programm beim erneuten Aufruf des Öffnen Dialoges ab
  • Einige weitere kleine Änderungen/Verbesserungen/Fehlerbeseitigungen

Version 5.0:

  • IconEdit Pro enthält jetzt das neue Tool 'IconWizard' mit dem alle Icons (und alle Icon Einstellungen) im System verändert werden können.
  • Neues Zeichenwerkzeug: Klonen
  • Neue Funktion: Verschieben
  • Neue Funktion: Konisches Füllen
  • Neue Funktion: In Graustufen umwandeln
  • Neue Funktion: 'Perfekter' Kreis/Linie
  • Undo Knopf in der Werkzeugleiste (Rechtsklick -> Undofelder)
  • Neue Statusleiste
  • Ein Tips & Tricks Teil wurde dieser Hilfe beigefügt
  • Die Farben werden nun ständig während des Zeichnens gezählt (abschaltbar)
  • Der Hotspot eines Cursors kann nun für alle Bilder einer Animation gleichzeitig gesetzt werden
  • Ein Doppelklick auf ein Icon im Editor übernimmt es als aktuelles Bild in die Animation
  • Ein Doppelklick auf ein Bild in einer Animation übernimmt es in den Editor
  • Das Verzeichnis beim Speichern einer Animation wird gemerkt
  • Die Auswahl beim Einfügen eines Bildes in eine Animation wird gemerkt
  • Ein Doppelklick auf ein Icon im Öffnen Dialog öffnet sofort den Editor
  • Die Dateiartauswahl im Öffnen Dialog wird nun gespeichert
  • Fehlerbeseitigung: Einige Icons wurden nur als Schwarz/Weiß- Icon geöffnet
  • Fehlerbeseitigung: Das zuletzt geöffnete Verzeichnis im Öffnen Dialog wurde nicht richtig eingestellt
  • Fehlerbeseitigung: Cursors wurden im Öffnen Dialog nicht richtig angezeigt und manchmal auch nicht richtig geöffnet
  • Fehlerbeseitigung: Im 16-Farben Modus wurde die Dichte nicht auf '100' zurückgestellt
  • Einige weitere kleine Änderungen/Verbesserungen/Fehlerbeseitigungen

Version 4.01:

  • Fehlerbeseitigung: Bei einigen Computern kam es beim Start von IconEdit Pro zu einem System Fehler (System Error &h80004005[-2147467259]).
    Das lag nicht an IconEdit Pro sondern an einem Fehler von Visual Basic, der aber jetzt durch das Service Pack 2 behoben wurde
  • Fehlerbeseitigung: In der Version 4.0 wurde, wenn im System 'Große Schriftarten' eingestellt sind, die Farbpalette und Teile der Zeichenfläche nicht dargestellt.
  • Das Magic Desk Icon-Format wird unterstützt
  • Fehlerbeseitigung: Der Link 'Hilfe/World Wide Web/Was ist die neueste Version?' war nicht korrekt
  • Fehlerbeseitigung: Wenn ein Icon per Kommandozeile übergeben wurde, wurde die Große Anzeige nicht aktualisiert
  • Fehlerbeseitigung: Wenn ein Icon per Kommandozeile übergeben wurde, wurde der Dateiname das Icons nicht übernommen
  • Fehlerbeseitigung: Wenn ein Icon per Kommandozeile übergeben wurde, wurde die Farbe des Icons nicht richtig ermittelt

Version 4.0:

  • Neue Funktion: Icons können in variablen Größen erstellt werden (8x8 bis 64x64 Pixel)
  • Die Durchlässigkeit wirkt sich jetzt auch beim Verschieben oder Einfügen von Ausschnitten aus
  • Das Programm kann nun komplett in Deutsch oder Englisch gestartet werden
  • Ein neues Bild kann nun am Anfang oder am Ende einer Animation eingefügt werden
  • Die einzelnen Bilder einer Animation können nach oben oder unten verschoben werden
  • Man kann nun 'nicht-/transparent kopieren'
  • Im Öffnen Dialog können auch JPG- und GIF-Bilder angezeigt werden
  • Im Datei Menü werden die zuletzt bearbeiteten Icons angezeigt
  • 4 Undo Stufen (mit 'Space' Taste)
  • Das Animationspanel kann beim Start geöffnet werden
  • Beim Drucken aus dem Öffnen Dialog wird jetzt auch das Verzeichnis gedruckt
  • Beim Beenden lautet jetzt die Frage: 'Wollen Sie das geänderte Icon speichern?'
  • Der Öffnen und Speichern Dialog 'merkt' sich das letzte Verzeichnis
  • Im Hilfe Menü kann direkt der Web Browser mit verschieden Internet Sites aufgerufen werden
  • Die Hilfe wurde auf eine standard Windows Hilfe umgestellt
  • In der Hilfe gibt es jetzt den Teil: 'Fragen und Antworten'
  • Fehlerbeseitigung: Ein Doppelklick auf ein Icon im Explorer startet IconEdit Pro korrekt mit dem ausgewählten Icon
  • Fehlerbeseitigung: Wenn der Mauszeiger bei gedrückter linker Taste über den Zeichenrand bewegt wurde und dann die rechte Maustaste gedrückt wurde, stürzte das Programm ab
  • Fehlerbeseitigung: Manchmal trat beim Hinzufügen eines neuen Bildes zu einer Animation ein Fehler mit Code '9' auf und das Programm stürzte ab
  • Fehlerbeseitigung: Bei registrierten Namen wurde manchmal ein 'a' oder ein 'z' am Ende angehängt
  • Fehlerbeseitigung: Wenn eine Auswahl über den Rand hinaus geschoben wurde und Antialiasing verwendet wurde, stürzte das Programm ab
  • Fehlerbeseitigung: Die 'X' und 'Y' Anzeige in Version 3.5 war vertauscht
  • Fehlerbeseitigung: Bei manchen Konfigurationen trat beim Start der Fehler '340' auf
  • Weitere kleine Fehlerbeseitigungen

Version 3.5:

  • Neue Funktion: Jetzt können animierte Cursors erstellt werden!
  • Neue Funktion: Icons können als Cursor gespeichert werden
  • Neue Funktion: Icons können als Bitmap gespeichert werden
  • Das Design der Toolbar wurde erneuert
  • Die Tastenkürzel wurden geändert
  • Nach einem Klick mit der rechten Maustaste auf das 'Diskettensymbol' (zweites von links) erscheint das 'Speichern Unter' Dialogfeld.
  • Fehlerbeseitigung: Wenn man auf 'Load Pal' und dann auf 'Abbrechen' klickte, kam eine Fehlermeldung.
  • Fehlerbeseitigung: Wenn das 'Sprüh-Werkzeug' angewandt wurde, ohne daß davor ein Farbbereich ausgewählt wurde, stürzte das Programm ab.
  • Fehlerbeseitigung: Auf manchen Druckern wurden die Icons zu klein oder zu groß und manchmal übereinander gedruckt.
  • Fehlerbeseitigung: Im Öffnen Dialogfeld wurden oft auch Dateien die keine Icons sind angezeigt.
  • Fehlerbeseitigung: Wenn im Ressourcen-Editor eine Ressource mit weniger als 5 Icons geladen wurde und dann auf ein leeres Feld geklickt wurde, stürzte das Programm ab.
  • Fehlerbeseitigung: Wenn ein zuvor geöffneter Ordner gelöscht wurde und anschließend der Ordner wieder geöffnet wurde, stürzte das Programm ab.
  • Fehlerbeseitigung: In der 'Schriftartenauswahl' im 'Text-Dialog' befand sich ganz unten ein leerer Eintrag. Wenn dieser ausgewählt wurde, stürzte das Programm ab.

Version 3.0:

  • Fehlerbeseitigung: Wenn auf das große Display im Ressourcen Editor geklickt wurde ohne daß eine Ressource geladen wurde, stürzte das Programm ab.
  • Jetzt können Sie das Programm mit einem Code registrieren!
  • Wenn Sie diese neue Version ausprobieren, werden Sie wahrscheinlich keinen Unterschied zur vorigen feststellen können.
    Es gibt aber einen entscheidenden Unterschied: GESCHWINDIGKEIT !!!

Funktion

Wieviel mal schneller?

Ändern der 'Hintergrund Farbe' | ungefähr 20 mal !!!
Brighten/Saturation | 4 mal
Contrast | 4 mal
Raise/Inset | 4 mal
Invert | 4 mal
Opacity | 3,5 mal
Rotate | 3,5 mal
Linear/Radial Gradation | 3 mal
Shadow | 3 mal
Change to x Colors | 3 mal
Paste | 3 mal
Antialias | 2 mal
Count Colors | 2 mal
Flip | 1,5 mal
Save Icon | 1,5 mal

Version 2.52:

  • Die Buttons wurden mehr an Windows 95 angepaßt
  • Das Programm benötigt auf einmal (keine Ahnung warum) die Datei 'MSVCRT.DLL' welche nun inkludiert ist.

Version 2.51:

  • Neue Funktion: Ein beliebiger Ausschnitt kann entweder auf 32x32 Punkte vergrößert oder auf 16x16 Punkte verkleinert werden (siehe unter '2.1.8 Das Menü' unter 'Edit' den Eintrag 'Resize to 32x32' oder 'Resize to 16x16')
  • Fehlerbeseitigung: Wenn das Programm im Truecolor Modus gestartet wurde, erschien folgende Fehlermeldung: 'Unexpected Error: Code 6'

Version 2.5:

Auf den ersten Blick hat sich nicht viel getan, um den Sprung von Version 2.4 auf Version 2.5 zu gerechtfertigen. Das Programm funktioniert jetzt aber auch, wenn in Windows 'Große Schriftarten' eingestellt sind (unter 'Systemsteuerung/Anzeige/Eigenschaften/Schriftgröße').
Das Programm sieht zwar deswegen nicht viel anders aus, es war jedoch eine Menge Arbeit um dies zu gewährleisten!
Trotzdem empfehle ich 'Kleine Schriftarten' einzustellen.

Weiters wurde Folgendes geändert/hinzugefügt:

  • Neue Funktion: Ein Optionsdialog, in dem die Animationen und die Tool-Tips ein-/ausgeschaltet und die Startpalette festgelegt werden kann, wurde hinzugefügt.
  • Fehlerbeseitigung: 'IconEdit Pro' läuft jetzt auch unter Windows NT.
  • Fehlerbeseitigung: Wenn in der Deutschen Hilfe etwas am Ende des Textes markiert wurde, stürzte das Programm ab.
  • Fehlerbeseitigung: Wenn Text in das Icon eingefügt wurde und zuvor schon einmal etwas markiert wurde, wurde die Markierung des eingefügten Textes nicht richtig gesetzt.
  • Fehlerbeseitigung: Wenn im Ressourcen Editor Icons auf die leere Anzeigefläche gezogen wurden um die Icons einer bestehenden Iconressource hinzuzufügen, wurden diese Icons doppelt hinzugefügt.

Version 2.4:

  • Neue Funktion: Für jedes Zeichenwerkzeug ist jetzt die Durchlässigkeit einstellbar (Opacity).
  • Neue Funktion: Sprühen (mit oder ohne Farbverlauf)
  • Neue Funktion: Alle Icons aus einer EXE- oder DLL-Datei können nun auf einmal extrahiert werden (wie im Ressourcen Editor).
  • Neue Funktion: Beim Invertieren werden nur mehr die Punkte invertiert die nicht mit Hintergrundfarbe gezeichnet wurden.
  • Neue Funktion: Dem Editor kann nun ein Icon per Befehlszeile übergeben werden. Das heißt, der Endung 'ICO' kann 'IconEdit Pro' zugewiesen werden. Ein Doppelklick im Explorer öffnet somit IconEdit Pro mit dem angeklickten Icon.
  • Fehlerbeseitigung: Wenn im Öffnen Dialogfeld die Taste 'Enter' gedrückt wurde, stürzte das Programm ab.
  • Fehlerbeseitigung: Wenn beim Drucken aus dem Editor kein Icon ausgewählt wurde und trotzdem auf 'Print Icons' geklickt wurde, stürzte das Programm ab.
  • Alle Neuen Texte werden nun in blauer Farbe geschrieben.

Version 2.3:

  • Neue Funktion: Im Öffnen-Dialogfeld erscheint, wenn man 'BMP/RLE' auswählt, ein Knopf mit der Beschriftung 'Insert from clipboard' mit dem der Inhalt der Windows Zwischenablage im rechten Anzeigefeld sichtbar gemacht werden kann. Danach können daraus Icons wie aus einer Bitmap ausgeschnitten werden.
  • Das Setup/Uninstall und die Runtime-Dateien sind jetzt komplett in Englisch.
  • Fehlerbeseitigung: Manchmal trat ein Überlauf beim Start auf.
  • Fehlerbeseitigung: Wenn eine Datei im Öffnen-Dialogfeld ausgewählt wurde die kein Icon war, stürzte das Programm ab.
  • Fehlerbeseitigung: Wenn im Öffnen-Dialogfeld eine Laufwerk ausgewählt wurde das nicht verfügbar war, stürzte das Programm ab.
  • Fehlerbeseitigung: Im Ressourcen-Editor wurden nach dem Löschen von Icons die Knöpfe und Anzeigen nicht zurück gesetzt.

Version 2.21:

  • Bei den Tooltips muß man nicht mehr jedesmal die volle Zeit abwarten wenn schon ein Tooltip angezeigt wird und der Mauszeiger über einen anderen Button bewegt wird.
  • Fehlerbeseitigung: Die Icons 'Save (16x16)' und 'Print' waren vertauscht.
  • Fehlerbeseitigung: 'Take whole picture' im Öffnen-Dialogfeld funktionierte nicht richtig.

Version 2.2:

  • Tooltips im Editor hinzugefügt
  • Fehlerbeseitigung: Wenn kein Drucker installiert war, konnte das Programm nicht gestartet werden.
  • Fehlerbeseitigung: Im Freihandmodus wurden die Punkte zwar verbunden, die so entstandenen Linien jedoch nicht in die Maske übernommen.

Version 2.1:

  • Neue Funktion: Raise/Inset (Hervorheben/Vertiefen)
  • Verbesserte Startzeit
  • Punkte werden beim Freihandzeichnen verbunden (Linien)
  • Fehlerbeseitigung: Bei einem Klick mit der rechten Maustaste im Zeichenfeld (= Übernahme der Farbe) im 16-Farben-Modus, wurde die Farbe zwar richtig ausgewählt, aber nicht angezeigt.
  • Fehlerbeseitigung: Das Drucken funktionierte weder im Editor, noch im Öffnen-Dialogfeld.
  • Fehlerbeseitigung: Die Textfunktion funktionierte nur mit schwarzer Farbe.
  • Fehlerbeseitigung: Setup konnte keine temporäre Datei anlegen.

Version 2.0:

  • 32 Bit Version für Windows 95
  • Speichern in verschiedenen Größen (32x32, 16x16 Punkte)
  • Erstellen und bearbeiten von Iconressourcen
  • Radiale und frei drehbare lineare Farbverläufe
  • Antialiasing
  • Helligkeits-/Sättigungsregelung
  • Kontrastregelung
  • Invertieren
  • Einfügen von Text
  • 3 Undo Stufen
  • Animierte Buttons für die Spezialeffekte
  • Eine Menge kleinerer Verbesserungen

Version 1.0:

  • Erste Version für Windows 3.x


What Is Shareware?

Was ist Shareware?

Das Sharewarekonzept sieht vor, dass ein Programm beliebig kopiert und weitergegeben werden darf. Damit hier aber kein Missbrauch getrieben wird (Programme zu erstellen ist sehr viel Arbeit), beschränkt sich das Weitergeben lediglich auf eine Prüfversion (sog. Shareware Version). Diese Prüfversion dürfen Sie für einen bestimmten Zeitraum (in der Regel 30 Tage) auf Herz und Nieren in Ihrer gewohnten Arbeitsumgebung testen.
Danach müssen Sie sich entscheiden: Möchten Sie das Programm weiterhin einsetzen, müssen Sie die Nutzungsrechte erwerben. Im Fachjargon heißt dies 'das Programm lizenzieren' oder 'sich registrieren lassen'. Mit der Registrierung erhalten Sie dann das Recht, das Programm weiterhin einzusetzen. Diese lizenzierte Version (auch Vollversion genannt) dürfen Sie nun nicht mehr weitergeben - sie ist an Ihre Person und Ihre Zahlung der Registrierungsgebühr gebunden.
Die Testversion dagegen dürfen Sie nach wie vor an Ihre Bekannten weitergeben.

Bitte unterstützen Sie dieses einmalige Konzept mit Ihrer Registrierung denn Programme zu erstellen bedeutet sehr, sehr viel Arbeit!

Danke für Ihre Ehrlichkeit!


Restrictions of the Shareware Version

Einschränkungen der Shareware Version

Die Shareware Version von IconEdit Pro ist voll funktionsfähig. Lediglich bei Start und Ende des Programms erscheint ein Feld mit einer 10 sekündigen Warteschleife.
Sie dürfen diese Version 30 Tage lang testen und wenn Sie IconEdit Pro danach weiter verwenden wollen, müssen Sie sich registrieren lassen.

Dieses Programm zu erstellen war sehr viel Arbeit (einen großen Dank an meine Freundin für ihr großes Verständnis und ihre Geduld), und ich hoffe Sie honorieren dies.


What do I get when I register?

Was bekomme ich wenn ich mich registriere?

1. | Einen persönlichen, lebenslangen Registrierungscode. D.h. alle Updates sind gratis!
2. | Benachrichtigungen bei Updates (nur per E-mail!)
3. | Ein gutes Gewissen weil Sie das Sharewarekonzept und die Weiterentwicklung von IconEdit Pro unterstützen


How can I get the Registered Version?

Wie erhalte ich die registrierte Version?

Um sich zu registrieren benutzen Sie bitte den Eintrag 'Registrierungsformular drucken' aus dem Menü 'Hilfe' oder drucken Sie einfach die Datei 'REGIST-D.TXT' aus und senden Sie sie an die angegebene Adresse.

Danke für Ihre Ehrlichkeit!

Sie können die registrierte Version von IconEdit Pro auch im Internet über Albert's Ambry kaufen und sofort erhalten. Bezahlen können Sie mit Kreditkarte, mit der Möglichkeit einen sicheren Server zu benutzten.

Gehen Sie dazu zur Seite 'http://www.alberts.com' und suchen Sie nach 'IconEdit' und klicken anschließend auf den Button 'Buy it' um IconEdit Pro zu registrieren. Sie können dazu aber auch den Eintrag 'World Wide Web/Online Registrierung via Albert's Ambry' aus dem Menü 'Hilfe' wählen.


What does it cost?

Was kostet es?

Ich will beweisen, dass gute Software nicht teuer sein muss.
Das Geld das Sie bezahlen ist nicht der Preis für die Software, sondern ein kleiner Beitrag um die Weiterentwicklung von IconEdit Pro zu gewährleisten.

Darum mein einmaliges Angebot:
Sie bezahlen nur einmal und erhalten alle zukünftigen Versionen und Updates gratis!

Der Preis der registrierten Version hängt davon ab, wieviele Benutzer (in Ihrer Firma) IconEdit Pro verwenden.

 | USD (US Dollars) | DEM (Deutsche Mark) | ATS (Österreichische Schillinge)
1 Benutzer | 25,- | 36,- | 250,-
2-4 Benutzer | 23,- | 33,- | 230,-
5-9 Benutzer | 21,- | 30,- | 210,-
10-15 Benutzer | 19,- | 28,- | 190,-
16-? Benutzer | 17,- | 25,- | 170,-
Preis per Stück - d.h. für 3 Benutzer kostet die Registrierung USD 69,- / DEM 99,- / ATS 690,-

 | Weiters sind folgende Lizenzen verfügbar
1 | Firmenlizenz (USD 390,-/DEM 570,-/ATS 3.900,-) (eine Firma in einer Stadt/Ort))
2 | Weltweite Lizenz (USD 690,-/DEM 990,-/ATS 6.900,-) (eine Firma weltweit)
3 | Universitäts-/Schullizenz (USD 290,-/DEM 430,-/ATS 2.900,-) (eine Universität/Schule in einer Stadt/Ort)


Editor - General

Klicken Sie auf die Teile über die Sie nähere Informationen erhalten wollen...


The Drawing Area

Die Zeichenfläche

Auf der Zeichenfläche wird das aktuelle Icon vergrößert dargestellt. Mit der linken Maustaste wird das aktuelle Werkzeug angewendet und mit der rechten Maustaste wird die Farbe unter dem Mauszeiger als aktuelle Farbe übernommen.

Wenn Sie mit der rechten Maustaste auf eine 'transparente Farbe' klicken, wird die Zeichenart auf transparent (Trpt) umgestellt. Wenn Sie auf eine 'normale Farbe' klicken, wird die Zeichenart auf normale Farbe (Nrml) umgestellt. Um dies zu umgehen, müssen sie bei dem Klick die Shift-Taste gedrückt halten.

Beispiel: Sie zeichnen ein rotes Rechteck in einem Icon mit weißem Hintergrund. Nun wollen Sie dieses Rot als transparente Farbe definieren. Klicken Sie hierzu auf dem Button 'Trpt' rechts neben der Palette um auf 'Transparent' umzustellen. Um jetzt das Rot als transparente Farbe zu definieren, klicken Sie bei gedrückter Shift-Taste auf das rote Rechteck. Wenn sie die Shift-Taste nicht gedrückt halten, würde die Zeichenart auf normale Farbe wechseln und Rot als Zeichenfarbe eingestellt werden.


The Icon Selection

Die Iconfelder

Durch die Iconfelder ist es möglich, mit vier Icons gleichzeitig zu arbeiten. Das derzeit aktive Icon erscheint hervorgehoben und kann durch einen Mausklick auf ein anderes Icon geändert werden.
Ein Doppelklick auf eines der vier Felder überträgt das Icon in das aktuelle Bild einer Animation (entspricht der Funktion 'Icon vom Editor' im Animationspanel)


The Icon Mask

Die Maske des Icons

Durch die Maske des Icons kann überprüft werden, welche Bereiche im fertigen Icons durchsichtig und welche undurchsichtig erscheinen. Alle schwarzen Punkte sind undurchsichtig und alle weißen Punkten sind durchsichtig, d.h der Desktop Hintergrund scheint durch.

Um undurchsichtige (schwarze) Punkte zu löschen, müssen Sie auf 'transparente Farbe' umschalten


The Color Palette

Die Farbpalette

Die Farbpalette befindet sich am rechten Rand des Editors. Durch einen Mausklick mit der linken Taste auf eine Farbe wird diese als aktuelle Zeichenfarbe ausgewählt.

Es gibt zwei verschiedene Paletten. Eine für 16 und eine für 256 Farben. Diese Unterscheidung ist für das Speichern eines Icons wichtig, denn wenn die 256-Farben-Palette eingestellt ist, wird das Icon als 256-Farben-Icon gespeichert, sonst als 16-Farben-Icon. Der Unterschied besteht darin, daß ein 256-Farben-Icon viel besser aussieht, (Sie können zum Beispiel ein Foto fast ohne Qualitätsverlust als Icon verwenden) es aber leider nur im High- oder Truecolor Modus dargestellt werden kann.
Um mit der 256-Farben-Palette arbeiten zu können, müssen Sie also Windows im High- oder Truecolor Modus starten. Um dann zwischen den zwei Paletten umzuschalten, benutzen Sie den Eintrag '16 Farben' oder '256 Farben' aus dem Menü 'Farben'.

Im 256-Farben-Modus von Windows können Sie nur die 16-Farben-Palette verwenden!

Achtung: Wenn Sie von der 256-Farben-Palette auf die 16-Farben-Palette umschalten, gehen alle Farben verloren die nicht den Standardfarben (schwarz, blau, grün, zyan, rot, violett, gelb, weiß, grau, hellblau, hellgrün, hellzyan, hellrot, hellviolett, hellgelb und hellweiß) entsprechen!

Unter der Palette befinden sich zwei Buttons zum Speichern (Pal Speichern) der aktuellen Palette und zum Laden (Pal Laden) einer zuvor Gespeicherten.

Rechts neben der Farbpalette befinden sich 3 Schieberegler mit denen die aktuelle Farbe eingestellt werden kann (ein Klick auf eine der Bezeichnungen 'Rot', 'Grün' oder 'Blau' öffnet den Windows standard Dialog zur Farbauswahl').

Gleich darunter ist ein Button mit der Beschriftung 'Verlauf'. Mit diesem Button können sehr leicht Farbverläufe erstellt werden.

Vorgehensweise:

  1. Klicken Sie in der Palette auf die erste Farbe des Farbverlaufes (links oben)
  2. Drücken Sie den Button 'Verlauf' (er erscheint gedrückt - durch nochmaliges drücken wird der Vorgang abgebrochen)
  3. Klicken Sie in der Palette auf die letzte Farbe des Farbverlaufes (die Farben in der Palette sind in Spalten angeordnet, d.h., die Reihenfolge geht von oben nach unten, links nach rechts).

Die zwischen Anfangs- und Endpunkt liegenden Farben werden nun so berechnet, daß ein fließender Farbverlauf entsteht.

Um einen Farbbereich festzulegen (z.B. zum Füllen oder Sprühen) klicken Sie in der Palette auf die erste Farbe des Farbverlaufes und anschließend auf den Button 'Bereich'. Danach klicken Sie auf die letzte Farbe des Farbverlaufes. Alle Farben zwischen diesen zwei Farben werden nun markiert und für den Farbverlauf verwendet (um die Markierung wieder aufzuheben klicken Sie auf den Button 'X' neben dem Button 'Bereich').


The Drawing Method Selection

Die Zeichenartauswahl

Diese Auswahl gibt Ihnen die Möglichkeit mit normaler Farbe (Nrml) oder mit transparenter Farbe (Trpt) zu zeichnen

Alle Punkte die mit transparenter Farbe gezeichnet werden, erscheinen im gespeicherten Icon durchsichtig, d.h. der Hintergrund der Windows Umgebung scheint durch. Dadurch können nichtrechteckige Icons erstellt werden.

Bei einem neuen Icon sind alle Punkte standardmäßig auf transparent gesetzt.

Beispiel: Wenn Sie in ein neues Icon nur eine schwarze Linie zeichnen und dieses anschließend speichern und einem Programm zuweisen, dann erscheint auf dem Windows Desktop diese schwarze Linie und der Rest des Icons hat die von Ihnen in der Systemsteuerung eingestellte Desktop Hintergrundfarbe - muß also nicht weiß wie im Editor sein!

Man kann aber auch sagen, eine transparente Farbe dient zum Löschen von zuvor gesetzten Punkten.

Beispiel: Wenn Sie eine Linie mit einer normalen Farbe zeichnen und diese anschließend löschen wollen, dann genügt es nicht sie einfach mit einer normalen weißen Linie zu übermalen. Die Linie ist dann nämlich immer noch da (überprüfen Sie die Maske), Sie sehen sie nur nicht weil der Hintergrund auch weiß ist.
Um diese Linie sichtbar zu machen müssen Sie also nur die Hintergrundfarbe ändern. Stellen Sie dafür die Zeichenartauswahl auf 'Transparent (Trpt)' und klicken Sie auf eine Farbe auf der Farbpalette. Um die nun sichtbare Linie zu löschen, müssen Sie sie mit transparenter Farbe übermalen.


The Horizontal Toolbar

Die horizontale Werkzeugleiste

hNew.bmp (406 bytes) | Neu
hOpen.bmp (406 bytes) | Öffnen
hSave.bmp (406 bytes) | Speichern
 | Kopieren
 | Einfügen
 | Einfügen In
hUndo.bmp (406 bytes) | Rückgängig
hAnti.bmp (406 bytes) | Antialiasing
hSaturat.bmp (406 bytes) | Helligkeit/Sättigung
hContras.bmp (406 bytes) | Kontrast
hShadow.bmp (406 bytes) | Schatten
hChange.bmp (406 bytes) | Farbe tauschen
hRaise.bmp (406 bytes) | Erheben/Vertiefen
 | Highlight
hInvert.bmp (406 bytes) | Invertieren
hText.bmp (406 bytes) | Text
hShift.bmp (406 bytes) | Verschieben
 | Ausschneiden
hGradat.bmp (406 bytes) | Farbverlauf-Optionen
hSpray.bmp (406 bytes) | Sprüh-Optionen
hHotspot.bmp (406 bytes) | Zeige/Setze Hotspot
hAni.bmp (406 bytes) | Animationspanel öffnen
hWizard.bmp (406 bytes) | IconWizard starten


The Vertical Toolbar

Die vertikale Werkzeugleiste

vfree.gif (540 bytes) | Freihand
vline.gif (522 bytes) | Linie
vrect.gif (528 bytes) | Rechteck
vfrect.gif (520 bytes) | Gefülltes Rechteck
vellips.gif (533 bytes) | Ellipse (Kreis)
vfellips.gif (524 bytes) | Gefüllte Ellipse (Kreis)
vfill.gif (553 bytes) | Füllen: Um mit einem Farbverlauf füllen zu können, müssen Sie zuerst einen Farbbereich festlegen. Klicken Sie dazu in der Palette auf die erste Farbe des Farbverlaufes und anschließend auf den Button 'Bereich'. Danach klicken Sie auf die letzte Farbe des Farbverlaufes (die Farben sind in Spalten angeordnet, die Reihenfolge geht also von oben nach unten, links nach rechts). Alle Farben zwischen diesen zwei Farben werden nun markiert und für den Farbverlauf verwendet (um die Markierung wieder aufzuheben klicken Sie auf den Button 'X' neben dem Button 'Bereich'). Nun können Sie die Füllart (normal, linear, radial, rechteckig oder konisch) festlegen. Um mit einem Muster zu füllen, müssen Sie zuerst einen Bereich im Icon markieren und anschließend 'Muster festlegen' aus dem Menü 'Spezial' wählen.
vspray.gif (561 bytes) | Sprühen: Im Menü 'Effekte' können unter 'Sprüh-Optionen' einige Einstellungen zum Sprühen gemacht werden. Gesprüht wird immer mit der aktuellen Zeichenfarbe oder, wenn ein Farbbereich (siehe 'Die Farbpalette') ausgewählt wurde, werden die Farben der Reihe nach verwendet (nur im High- oder Truecolor Modus!). Um ein gleichmäßiges Sprühen zu gewährleisten wird beim ersten Klick auf die Zeichenfläche nur kurz gesprüht und erst dann fortgefahren, wenn Sie die Maus bewegen.
vclone.gif (545 bytes) | Klonen: Klonen dient dazu, Bereiche des aktuellen oder der drei anderen Icons nachzuzeichnen. Um den Ursprung des Klonens festzulegen, halten Sie über der Zeichenfläche die 'Strg'-Taste gedrückt und klicken Sie auf den gewünschten Punkt. Nun können Sie mit dem Freihand-, Rechteck- oder Sprüh-Werkzeug Teile eines Icons nachzeichnen.
vmark.gif (557 bytes) | Ausschnitt markieren
vvflip.gif (526 bytes) | Um vertikale Achse spiegeln
vhflip.gif (533 bytes) | Um horizontale Achse spiegeln
vlrotate.gif (534 bytes) | Drehen in 90° Schritten nach links (gegen den Uhrzeigersinn)
vrrotate.gif (537 bytes) | Drehen in 90° Schritten nach rechts (im Uhrzeigersinn)

Wenn ein Ausschnitt markiert wurde, beziehen sich die ganzen Spezialwerkzeuge, wie z.B. Spiegeln oder Drehen, nur auf diesen Ausschnitt, ansonsten auf die ganze Zeichenfläche.


The Status Bar

Die Statusleiste

sCoord.bmp (1782 bytes) | Zeigt die aktuellen X- und Y-Koordinaten des Mauszeigers über der Zeichenfläche an.
sAbsolut.bmp (1782 bytes) | Zeigt die Breite und Höhe des aktuellen Werkzeuges an.
Farben: | Zeigt die Anzahl der Farben im aktuellen Icon. Falls IconEdit Pro auf Ihre Eingaben langsam reagiert, sollten Sie diese Funktion im Menü unter 'Spezial/Farben zählen' ausschalten.
Größe: | Zeigt die Größe des aktuellen Icons an.
Dichte: | Hier kann die Dichte für jedes Zeichenwerkzeug eingestellt werden. Die Angaben werden in Prozent gemacht. '100' bedeutet undurchsichtig und '1' bedeutet fast vollkommen durchsichtig.


The Undo Selection

Die Undofelder

Wenn Sie die Taste 'Space' drücken, werden vier Undofelder eingeblendet. Diese Undofelder dienen dazu, die letzten vier Änderungen rückgängig zu machen. Ein Mausklick auf eines der Felder genügt um das aktuelle Icon durch die vorhergehende Version zu ersetzen.


Menu - File

Datei
Neu
Öffnen
Speichern
Speichern unter
Alles Speichern
Drucken
Drucker einrichten
Beenden

Neu
Erstellt ein neues Icon. Das aktuelle Icon wird gelöscht. Sie können wählen, ob Sie ein 16- oder 256-Farben-Icon erstellen wollen. Ein 256-Farben-Icon kann nur erstellt werden, wenn Sie Windows im High- oder Truecolor Modus betreiben!

Öffnen
Dient dazu um gespeicherte Icons zu laden, aus einer EXE-, DLL- oder Iconressource zu extrahieren oder aus einem Bild auszuschneiden (siehe 'Der Öffnen Dialog').

Speichern
Speichert das aktuelle Icon. Es erscheint ein Dialogfeld, in dem Sie den Namen und das Verzeichnis des Icons angeben können. Weiters können Sie wählen ob Sie das Icon als Icon, Cursor oder Bitmap speichern wollen. Wenn Sie das Icon schon einmal gespeichert haben, erscheint dieses Dialogfeld nicht und das Icon wird mit dem bereits angegebenen Namen gespeichert. Falls Sie einen anderen Namen angeben wollen, verwenden Sie den Menüeintrag 'Speichern unter'.
Falls Sie ein Icon speichern wollen das mehr als 256 Farben hat, müssen Sie die Farben zuerst reduzieren.

Speichern unter
Gleich wie 'Speichern', nur erscheint das Dialogfeld zur Namensgebung immer.

Alles Speichern
Gleich wie 'Speichern', nur werden alle vier Icons gespeichert.

Drucken
Dient zum Drucken der vier Icons. Es erscheint ein Dialogfeld, in dem Sie festlegen können, welche Icons gedruckt werden sollen. Standardmäßig ist nur das aktuelle Icon ausgewählt. Um ein Icon zum Drucken auszuwählen, klicken Sie einfach auf das Icon, so dass es hervorgehoben erscheint. Ein weiterer Klick auf das Icon deaktiviert es wieder.
Weiters können Sie auch festlegen, wie groß die Icons gedruckt werden sollen. Dabei bedeutet '1' normale Größe, '2' doppelte Größe, usw... Die maximal einstellbare Größe richtet sich nach der Druckereinstellung. Ab der Größe '5' können die Icons auch mit einem Gitter gedruckt werden.

Drucker einrichten
Hier können Sie die Einstellung des Druckers wie Papiergröße, -ausrichtung, usw. ändern.

Beenden
Beendet IconEdit Pro.


Menu - Edit

Bearbeiten
Rückgängig
Kopieren
In Zwischenablage kopieren
Einfügen
Einfügen In
Ausschneiden
Markierten Bereich löschen

Rückgängig
Macht die letzte Änderung rückgängig. Wenn Sie mit der rechten Maustaste auf das 'Rückgängig Symbol' in der horizontalen Werkzeugleiste klicken erscheinen die vier Undofelder.

Kopieren
Kopiert den markierten Ausschnitt in einen Speicher (nicht die Zwischenablage). Falls kein Ausschnitt markiert wurde, wird das ganze Icon kopiert.

In Zwischenablage kopieren
Kopiert den markierten Ausschnitt in die Zwischenablage. Falls kein Ausschnitt markiert wurde, dann wird das ganze Icon kopiert.

Einfügen
Fügt den zuvor gespeicherten Ausschnitt in das aktuelle Icon ein. Falls Sie einen Ausschnitt in ein 16-Farben-Icon einfügen der andere als die Standardfarben (schwarz, blau, grün, zyan, rot, violett, gelb, weiß, grau, hellblau, hellgrün, hellzyan, hellrot, hellviolett, hellgelb und hellweiß) enthält, wird dieser Ausschnitt so gut wie möglich in Standardfarben umgewandelt.

Einfügen In
Fügt den zuvor gespeicherten Ausschnitt in den aktuellen Ausschnitt ein. Der eingefügte Ausschnitt wird gegebenenfalls vergrößert bzw. verkleinert.

Ausschneiden
Schneidet den aktuellen Ausschnitt aus dem Icon aus. Die Größe des Icons wird dabei geändert.

Markierten Bereich löschen
Löscht den markierten Ausschnitt.


Menu - Special

Spezial
IconWizard starten
Gitter anzeigen
Transparent kopieren
Muster festlegen
Zeige/Setze Hotspot
Optionen
Language/Sprache

IconWizard starten
Startet das Programm 'IconWizard' zum verändern aller Icons in Windows95.

Gitter anzeigen
Schaltet das Gitter auf der Zeichenfläche ein oder aus.

Transparent kopieren
Wenn diese Option angewählt ist, scheinen beim Kopieren, Verschieben oder Einfügen von Ausschnitten die darunterliegenden Punkte durch (falls der Ausschnitt transparente Punkte hat).

Muster festlegen
Legt den aktuellen Ausschnitt des Icons als Muster fest, welches verwendet wird, wenn die Füllung 'Muster' im Menü 'Effekte/Farbverlauf-Optionen' ausgewählt wird.

Zeige/Setze Hotspot
Der Hotspot blinkt kurz auf und der Mauszeiger wandelt sich in ein Kreuz. Wenn Sie jetzt auf die Zeichenfläche klicken, wird der Hotspot auf die neue Position gesetzt und blinkt dort kurz. Der Hotspot wirkt sich nur aus wenn das Icon als Cursor gespeichert wird.

Optionen
Hier können Sie IconEdit Pro Ihren Bedürfnissen anpassen.

Language/Sprache
Es erscheint ein Dialogfeld in dem Sie die Sprache festlegen können, mit der Sie IconEdit Pro bedienen. Es stehen Englisch und Deutsch zur Verfügung.


Menu - Effects

Effekte
Horizontal spiegeln
Vertikal spiegeln
Links drehen
Rechts drehen
Antialiasing
Helligkeit/Sättigung
Kontrast
Schatten
Farbe tauschen
Erheben/Vertiefen
Invertieren
Text
Verschieben
Highlight
Farbverlauf-Optionen
Sprüh-Optionen

Horizontal spiegeln
Spiegelt den markierten Ausschnitt horizontal (um eine vertikale Achse). Falls kein Ausschnitt markiert wurde, dann wird das ganze Icon gespiegelt.

Vertikal spiegeln
Spiegelt den markierten Ausschnitt vertikal (um eine horizontale Achse). Falls kein Ausschnitt markiert wurde, dann wird das ganze Icon gespiegelt.

Links drehen
Dreht den markierten Ausschnitt gegen den Uhrzeigersinn. Der gedrehte Ausschnitt wird links oben plaziert. Falls kein Ausschnitt markiert wurde, dann wird das ganze Icon gedreht.

Rechts drehen
Dreht den markierten Ausschnitt im Uhrzeigersinn. Der gedrehte Ausschnitt wird links oben plaziert. Falls kein Ausschnitt markiert wurde, dann wird das ganze Icon gedreht.

Antialiasing
Antialiasing nähert die Farbwerte benachbarter Farben in einem Icon oder einem Ausschnitt an. Dadurch können Treppeneffekte vermieden werden. Es erscheint ein Dialogfeld in dem Sie mit einem Schieberegler die Stärke der Annäherung festlegen können (0 = keine Annäherung, 10 = starke Annäherung).

Helligkeit/Sättigung
In dem erscheinenden Dialogfeld kann ausgewählt werden, ob die Helligkeit oder die Sättigung des Icons oder des markierten Ausschnittes eingestellt werden soll. Durch die 3 Schieberegler wird die Stärke der Aufhellung/Abdunkelung bzw. der Sättigung für jeden Farbanteil (rot, grün, blau) einer Farbe festgelegt.
Werte unter 0 Prozent dunkeln das Icon ab (verringern die Sättigung), Werte über 0 Prozent hellen es auf (erhöhen die Sättigung). Um einen Farbteil getrennt einzustellen, müssen Sie nur die Auswahlkästchen der anderen Farbteile deaktivieren.

Kontrast
Erhöht oder verringert den Kontrast des Icons oder des markierten Ausschnittes. Das erscheinende Dialogfeld enthält zwei Gruppen von Schiebereglern. Mit den Stärke-Schiebereglern wird der Prozentsatz der Kontrasterhöhung/-veringerung für jeden Farbanteil (rot, grün, blau) einer Farbe festgelegt. Werte unter 0 Prozent verringern und Werte über 0 Prozent erhöhen den Kontrast.
Mit den Grenzwert-Schiebereglern wird ein Grenzwert für jeden Farbanteil festgelegt. Wenn ein Farbwert unter diesem Grenzwert liegt, wird er bei einer Kontrasterhöhung verringert und liegt er darüber, wird er erhöht. Die Farbwerte werden also gespreizt und dadurch der Kontrast erhöht.
Um einen Farbanteil getrennt einzustellen, müssen Sie nur die Auswahlkästchen der anderen Farbanteile deaktivieren.

Schatten
Mit Schatten können ganz einfach 3D-Effekte erzielt werden. Um einen Schatten zu erstellen, wählen Sie als aktuelle Zeichenfarbe die Farbe, die der Schatten haben soll. Danach wählen Sie den Menüeintrag 'Effekte/Schatten'. Darauf erscheint ein Dialogfeld, in dem Sie die X- und Y-Position (Tiefe) des Schattens festlegen können.
Eine spezielle Bedeutung hat dabei die Hintergrundfarbe:
Normalerweise wird von jedem mit 'normaler Farbe' gezeichneten Punkt ein Schatten erstellt. Wenn Sie nun z.B. ein Rechteck und in diesem Rechteck eine Linie zeichnen, der Sie einen Schatten zuweisen möchten, wird normalerweise nur ein Schatten des ganzen Rechteckes erstellt, da ja alle Punkte mit normaler Farbe gezeichnet wurden. Um dieses zu umgehen, wählen Sie einfach als Hintergrundfarbe die Farbe des Rechteckes (wählen Sie dazu 'Trpt' aus und klicken Sie mit der rechten Maustaste bei gedrückter 'Shift-Taste' auf das Rechteck). Wenn Sie nun einen Schatten erstellen, wird er nur von der Linie erstellt. Die Hintergrundfarbe können Sie anschließend wieder wechseln.

Farbe tauschen
Ersetzt eine Farbe durch eine andere.
Vorgehensweise: Suchen Sie sich eine Farbe aus der Farbpalette aus, und wählen Sie den Menüeintrag 'Effekte/Farbe tauschen'. Der Mauszeiger verwandelt sich in einen nach oben gerichteten Pfeil. Klicken Sie anschließend mit der linken Maustaste auf die Farbe im Icon die Sie durch die zuvor ausgewählte Farbe ersetzten wollen. Dadurch wird die Farbe im ganzen Icon getauscht. Wenn Sie zuvor einen Ausschnitt markiert hatten, dann wird die Farbe nur in diesem Ausschnitt gewechselt.

Erheben/Vertiefen
Erweckt den Eindruck einer Hervorhebung oder einer Vertiefung. In dem erscheinenden Dialogfeld können Sie festlegen ob die Grafik hervorgehoben oder vertieft erscheinen soll. Weiters können sie die Farbe des Lichtes und des Schattens bestimmen (klicken sie dazu einfach auf die farbigen Buttons).
Die Hintergrundfarbe spielt die gleiche wichtige Rolle wir bei der Schattenfunktion:
Wenn Sie ein hellgraues Rechteck zeichnen und in dieses Rechteck eine Linie die Sie anschließend vertiefen wollen, müssen Sie zuerst die Hintergrundfarbe auf das hellgrau ändern. Klicken Sie dazu bei der Zeichenartauswahl auf 'Trpt' und danach mit der rechten Maustaste bei gedrückter 'Shift-Taste' auf das Rechteck. Wenn Sie nun die Funktion 'Erheben/Vertiefen' verwenden, wird nur die Linie vertieft. Das Beste Ergebnis erzielen Sie mit einem hellgrauen Hintergrund, einer weißen Lichtfarbe und einer dunkelgrauen Schattenfarbe (= Voreinstellung).

Invertieren
Invertiert das ganze Icon oder auch nur einen Ausschnitt. Invertiert werden nur Punkte die nicht mit der Hintergrundfarbe gezeichnet wurden.

Text
Fügt Text in das Icon ein. Schreiben Sie in dem erscheinenden Dialogfeld den Text in das Textfeld rechts oben und der Text wird unter Berücksichtigung der Schriftart und -größe in das Icon eingefügt. Der Text wird automatisch am Rand des Icons umgebrochen. Text, der über den unteren Rand des Icons reicht, wird abgeschnitten.

Verschieben
Mit dieser Funktion kann ein Ausschnitt oder das ganze Icon in jede beliebige Richtung verschoben werden. Der Vorteil zum normalen Markieren und anschließenden Verschieben liegt darin, daß man die 'Loop' Funktion einschalten kann. Diese Funktion bewirkt, daß wenn ein Teil eines Icons z.B. rechts hinausgeschoben wird, dieser Teil wieder auf der linken Seite erscheint. Diese Funktion kann sehr praktisch für Animationen sein.
Um schneller verschieben zu können, können Sie auch die Tasten des Nummernblocks der Tastatur verwenden.

Highlight
Mit dieser Funktion kann eine Lichtquelle simuliert werden. In dem erscheinenden Dialogfeld kann links oben die Form des Highlights verändert werden. Mit der linken Maustaste setzen Sie den Punkt unter dem Mauszeiger und mit der rechten löschen Sie ihn. Unter dieser Zeichenfläche stehen einige Standardformen zur Verfügung.
Rechts neben der Zeichenfläche kann die aktuelle Form gespeichert oder eine zuvor gespeicherte geladen werden.
Weiters kann die Größe, Stärke, Position und Farbe des Highlights eingestellt werden.

Sehen Sie sich den Tip 5 unter 'Tips & Tricks' an, um eine Anwendung des Highlight-Tools zu sehen.

Farbverlauf-Optionen
Legt die Füllart des Füllwerkzeuges fest. Zur Verfügung stehen: normale, lineare, radiale, rechteckige und konische Füllung. Bevor Sie diese Füllarten verwenden können, müssen Sie einen Farbbereich festlegen.
Bei linearer und konischer Füllung kann der Winkel festgelegt werden. Verwenden Sie dazu den Schieberegler oder klicken Sie direkt in das Vorschaufeld und bewegen Sie anschließend die Maus bei gedrückter Taste.
Um die Füllart 'Muster' verwenden zu können, müssen Sie zuerst unter 'Spezial/Muster festlegen' ein Muster definieren.

Sprüh-Optionen
Stell die Art, wie gesprüht wird, ein. Eingestellt werden kann die Form, die Größe und die Dichte.
Tip: Wenn Sie die Größe auf '1' und die Dichte auf '100%' einstellen und einen Farbbereich festlegen, können Sie wie im Freihand-Modus zeichnen, jedoch werden die Farben dem Farbbereich entsprechend gewechselt.


Menu - Size

Größe
Icon
U x V Pixel
Benutzerdefiniert
Pinsel
1-10 Pixel
Form
Maximieren
Minimieren
Kleinstmöglich

U x V Pixel - Benutzerdefiniert
Ändert die Größe des aktuellen Icons. Gewählt werden können die Standardgrößen 16x16, 24x24, 32x32, 48x48, 64x64 und 96x96. Die Größe kann aber auch frei eingestellt werden. In dem Dialogfeld können Sie mit dem Schieberegler die Größe bestimmen. Die Werte reichen von 8x8 bis 96x96.
Wenn Sie die aktuelle Größe ändern, erscheint ein Dialogfeld, in dem Sie angeben können, ob das Icon auf die neue Größe verkleinert/vergrößert werden soll, oder nicht.

1-10 Pixel
Legt die Größe des Zeichenstiftes fest.

Maximieren
Maximiert die Form.

Minimieren
Minimiert die Form.

Kleinstmöglich
Minimiert die Form auf die kleinstmögliche Größe


Menu - Colors

Farben
Farbmodus: 256 Farben
Farbmodus: 16 Farben
Farben zählen
Farben reduzieren...
Farben extrahieren...

Farbmodus: 256 Farben
Wechselt das aktuelle Icon in den 256-Farben-Modus.

Farbmodus: 16 Farben
Wechselt das aktuelle Icon in den 16-Farben-Modus.
Achtung: Wenn von 256 Farben auf 16 Farben umgeschaltet wird, werden alle Farben die nicht den Standardfarben (schwarz, blau, grün, zyan, rot, violett, gelb, weiß, grau, hellblau, hellgrün, hellzyan, hellrot, hellviolett, hellgelb und hellweiß) entsprechen, so gut wie möglich in solche umgewandelt.

Farben zählen
Legt fest, ob die Anzahl der Farben im aktuellen Icon während der Bearbeitung in der Statusleiste angezeigt werden soll. Falls IconEdit Pro langsam auf Ihre Eingaben reagiert, sollten Sie diese Funktion ausschalten!

Farben reduzieren
Es erscheint ein Dialog zur Farbreduzierung. Benutzen Sie den Schieberegler, um festzulegen, auf wieviele Farben Sie das aktuelle Icon reduzieren wollen und klicken Sie anschließen 'Farben jetzt reduzieren'. Im unteren Bereich werden nun sechs Icons - alle auf eine andere Art Farbreduziert - angezeigt. Wählen Sie einfach das Beste davon aus und klicken Sie auf 'Ok'.

Farben extrahieren
Überträgt alle Farben des aktuellen Icons in die Farbpalette. Sie können wählen ob Sie die Farben nach Helligkeit, Linien oder Spalten sortieren wollen.


Menu - Animation

Animation
Animationspanel öffnen
Neue Animation
Animation öffnen
Animation speichern
Icon vom Editor
Icon zum Editor
Bild einfügen
Bild löschen
Hotspot anpassen
Bild nach oben
Bild nach unten

Animationspanel öffnen

Die Oberfläche des Editors erweitert sich um einen Teil, der der Erstellung von animierten Cursors dient. Ganz rechts werden die einzelnen Bilder (frames) der Animation angezeigt. Ein Klick auf eines dieser Bilder hinterlegt es blau und definiert es als aktuelles Bild. Ein Doppelklick überträgt das Bild in den Editor.

Am unteren Rand kann die Animation mittels 'Play-Button' abgespielt und mittels 'Stop-Button' gestoppt werden.
Weiters kann hier die Anzeigedauer der einzelnen Bilder festgelegt werden wobei ein 'Jiffy' ungefähr 1/60 Sekunde entspricht (60 Jiffies entsprechen also einer Sekunde). Die Anzeigedauer kann für jedes Bild separat eingestellt werden. Klicken Sie dazu auf das Bild in der Animation, dessen Anzeigedauer Sie ändern wollen, und geben Sie in dem Textfeld unterhalb von 'Jiffies' den gewünschten Wert ein. Mit dem Schieberegler kann die Anzeigedauer aller Bilder der Animation gleichzeitig geändert werden. Achtung: Dabei werden alle Werte gleich gesetzt! Das heißt, individuelle Einstellungen der einzelnen Bilder gehen dabei verloren!

Die Cursortasten sind bei der Erstellung einer Animation eine große Hilfe:
Halten Sie nämlich den 'Linkspfeil' gedrückt, wird das Bild vor dem aktuellen Bild der Animation im Editor eingeblendet bis Sie die Taste wieder loslassen. Halten Sie den 'Abpfeil' gedrückt, wird das aktuelle und halten Sie den 'Rechtspfeil' gedrückt, wird das Bild nach dem aktuellen Bild der Animation eingeblendet.
Beispiel: Sie zeichnen gerade ein Bild für eine Animation. Durch gedrückthalten des 'Linkspfeils' können Sie schnell das vorhergehende Bild einblenden und so leicht die Unterschiede feststellen.
Weitere Möglichkeit: Klicken Sie in einer fertigen Animation auf das zweite Bild, um es als aktuelles Bild zu definieren. Klicken Sie anschließend auf das Symbol 'Zum Editor' um das aktuelle Bild in den Editor zu übertragen. Wenn Sie jetzt den 'Linkspfeil' und an schließend den 'Rechtspfeil' gedrückt halten (und dann wieder umgekehrt), können Sie die ersten drei Bilder der Animation vor und zurückspielen und so leicht die Flüssigkeit der Bewegung überprüfen

Neue Animation
Löscht alle einzelnen Bilder und setzt alle Werte auf Standardwerte zurück.

Animation öffnen
Öffnet eine bestehende Animation.

Animation speichern
Speichert die aktuelle Animation.

Icon vom Editor
Überschreibt das aktuelle Bild der Animation mit dem aktuellen Icon des Editors.

Icon zum Editor
Überschreibt das aktuelle Icon des Editor mit dem aktuellen Bild der Animation.

Bild einfügen
Fügt der Animation ein weiteres Bild hinzu. Es kann ausgewählt werden, ob das neue Bild vor oder hinter dem aktuellen Bild oder am Anfang oder Ende der Animation eingefügt werden soll.

Bild löschen
Löscht das aktuelle Bild.

Hotspot anpassen
Passt den Hotspot aller Bilder der Animation dem des aktuellen Bildes an.

Bild nach oben
Verschiebt das aktuelle Bild nach oben.

Bild nach unten
Verschiebt das aktuelle Bild nach unten.


Menu - Scripts

Scripts
...
Bearbeiten
Aktualisieren

...
Mit Scripts können Sie Abläufe in IconEdit Pro automatisieren. Das Menü listet alle Scripts des Scrips-Verzeichnises auf. Die Dateiendung lautet '.IES' (IconEdit Script).

Bearbeiten
Öffnet einen einfachen Editor zum Erstellen und Bearbeiten von Scripts.
In der aufklappbaren Liste links oben können Sie ein vorhandenes Script zur Bearbeitung auswählen. Wenn Sie ein neues Script erstellen wollen, klicken Sie einfach auf den Button 'Neues Script' und geben den Dateinamen, den Namen der im Menü angezeigt werden soll und den Zweck des Scripts ein.

Aktualisieren
Wenn IconEdit Pro gestartet wird, werden alle vorhandenen Scripts im Menü aufgelistet. Wenn Sie ein neues Script erstellen während IconEdit Pro läuft, müssen Sie die Liste aktualisieren damit das Script angezeigt wird.


Menu - Help

Hilfe
IconEdit Pro Hilfe
Registrierungsformular drucken
Registrierungscode eingeben
World Wide Web
IconEdit Pro Homepage
E-Mail an den Autor senden
Online Registrierung über Albert's Ambry
Fehlerbericht ausfüllen
Info

IconEdit Pro Hilfe
Zeigt diese Hilfe.

Registrierungsformular drucken
Startet ein kleines Programm um das Registrierungsformular auszufüllen und auszudrucken. Sie können das Formular aber auch händisch ausfüllen. Die Datei heißt 'REGIST-D.TXT' und befindet sich im gleichen Verzeichnis wie 'ICONEDIT.EXE'.

Registrierungscode eingeben
Wenn Sie das Programm registriert haben, bekommen Sie einen Registrierungscode zugeschickt. In dem erscheinenden Dialogfeld geben Sie einfach Ihren Namen und den Code ein, und schon sind Sie die lästigen Warteschleifen zu Beginn und am Ende des Programmes los.

IconEdit Pro Homepage
Bringt Sie auf die Homepage von IconEdit Pro von der Sie die neueste Informationen über IconEdit Pro erfahren können.

E-Mail an den Autor senden
Startet Ihr E-Mail Programm (falls installiert) mit der E-Mail Adresse des Autors.

Online Registrierung über Albert's Ambry
Sie können die registrierte Version von IconEdit Pro im Internet über Albert's Ambry kaufen und sofort erhalten. Bezahlen können Sie mit Kreditkarte, mit der Möglichkeit einen sicheren Server zu benutzten.

Fehlerbericht ausfüllen
Startet ein externes Programm um Fehlerberichte zu IconEdit Pro zu machen.

Info
Zeigt Informationen über die Systemauslastung und IconEdit Pro an.


Open Dialog - Overview

Links oben befindet sich ein Icon-Auswahlfeld, welches dem Auswahlfeld im Editor entspricht. Darunter befindet sich ein Button zum Drucken aller Icons im aktuellen Verzeichnis. Wenn Sie auf diesen Button klicken, erscheint ein Dialogfeld, in dem Sie festlegen können, ob die Icons mit oder ohne Dateinamen gedruckt werden sollen. Der Setup-Button dient zur Druckereinstellung.

Links unten sind Verzeichnis-, Datei- und Dateiart-Auswahlfelder.
Darunter ist eine kleine Leiste mit vier Icons. Das Erste öffnet den Ressourcen Editor, das Zweite markiert alle rechts angezeigten Icons (Sie können dafür auch die Tastenkombination 'Strg + A' verwenden), das Dritte demarkiert sie wieder und mit dem vierten können Sie die Icons aus einer EXE-/DLL- Datei extrahieren und in einzelnen Dateien Speichern.

In der rechten Hälfte werden alle Icons im aktuellen Verzeichnis angezeigt. Ein Klick mit der rechten Maustaste markiert ein Icon um es später in eine Iconressource aufzunehmen. Um mehrere Icons zu markieren verwenden sie die 'Shift-Taste'.


Load an Icon

Icon laden

Wählen Sie im Icon-Auswahlfeld die Position, in die Sie das Icon laden möchten. Anschließend klicken Sie rechts auf das gewünschte Icon, oder auf den Icon-Namen in der Dateiliste. Wenn Sie auf der rechten Seite auf ein Icon Doppelklicken, wird der Öffnen Dialog sofort geschlossen und das Icon in den Editor übertragen.


Extracting an icon from an EXE or DLL file

Icon aus EXE-/DLL- Datei extrahieren

Wählen Sie im Dateiart-Auswahlfeld (unter der Dateiliste) den Eintrag '*.EXE; *.DLL; *.ICL'. Anschließend klicken Sie auf die gewünschte Datei. Daraufhin werden auf der rechten Seite alle in dieser Datei enthaltenen Icons angezeigt. Wenn Sie nun einige oder alle Icons markieren (mit der rechten Maustaste), können Sie diese mit dem vierten Knopf links unten extrahieren und in einzelnen Dateien speichern. Das erscheinende Dialogfeld entspricht dem Dialogfeld aus dem Ressourcen Editor.


Extracting an icon from an icon resource

Icon aus Ressource extrahieren

Wählen Sie im Dateiart-Auswahlfeld den Eintrag '*.icr'. Anschließend klicken Sie auf die gewünschte Iconressource. Daraufhin werden auf der rechten Seite alle in dieser Ressource befindlichen Icons angezeigt.


Cutting an icon out of a bitmap

Icon aus Bild ausschneiden

Wählen Sie im Dateiart-Auswahlfeld den Eintrag '*.BMP; *.JPG; *.GIF'. Klicken Sie anschließend auf die gewünschte Bild-Datei. Sie wird auf der rechten Seite angezeigt.

Rechts oben können Sie wählen zwischen:

  • Fixe Größe: Ein Ausschnitt in der angegebenen Größe (8 bis 96 Punkte) wird übernommen. Klicken Sie auf den gewünschten Teil im Bild und warten Sie bis ein Rechteck erscheint (kann bei großen Bildern einige Sekunden dauern). Sie können das Rechteck bei gedrückter Maustaste frei bewegen. Wenn Sie die Maustaste loslassen wird der Ausschnitt übernommen. Die linke obere Ecke des vergrößerten Ausschnittes entspricht der linken oberen Ecke der Auswahl.
  • Variable Größe: Sie können die Größe des Ausschnittes selber wählen, indem Sie auf das Bild klicken und ein Rechteck, bzw. mit gedrückter 'Shift-Taste' ein Quadrat aufziehen. Sie können dabei auch über den sichtbaren Bereich scrollen. Je weiter, umso schneller. Der so gewählte Ausschnitt wird auf die angegebene Größe verkleinert/vergrößert (8 bis 96 Punkte). Die Mitte des vergrößerten Ausschnittes entspricht der derzeitigen Position des Cursors im Bild.
  • Komplettes Bild: Das ganze Bild wird verkleinert.

Beachten Sie:
 Der Button 'Drucken' wandelt sich in 'Bildschirm einfangen'. Mit diesem Button wird der ganze Bildschirm eingefangen und rechts wie ein Bitmap angezeigt. Jetzt können Sie Icons wie oben beschrieben ausschneiden.
Weiters erscheint ein Button mit der Beschriftung 'Zwischenablage importieren' mit dem der Inhalt der Windows Zwischenablage im rechten Anzeigefeld sichtbar gemacht werden kann. Danach können daraus Icons wie aus einer Bitmap ausgeschnitten werden.

Ein Bild kann auch direkt durch einen Doppelklick übernommen werden.


Resource Editor - Overview

Der Ressourcen Editor wird durch den ersten Button ganz links unten im Öffnen Dialogfeld gestartet.
Er dient der Erstellung und Verwaltung von Iconressourcen. Eine Iconressource ist eine einzelne Datei, die mehrere Icons in verschiedener Größe und Farbanzahl enthalten kann. Anstatt also eine Vielzahl von Icon Dateien auf der Festplatte zu haben, können Sie alle in einer einzigen speichern. Dadurch lässt sich sehr viel Platz auf der Festplatte sparen.

Jede Festplatte ist in Sektoren unterteilt welche je nach Festplattengröße verschieden groß sind. Jede Datei, auch wenn sie noch so klein ist, benötigt mindestens einen solchen Sektor. D.h., eine Datei die normalerweise nur 100 Bytes groß wäre, benötigt in Wirklichkeit z.B. 32.768 Bytes auf einer Gigabyte-Festplatte. 100 Icons nehmen also volle 3,3 Megabyte Platz in Anspruch. Eine Iconressource mit 100 Icons hingegen nur 100 Kilobyte. Sie ersparen sich also, oder besser gesagt Ihrer Festplatte, ganze 3,2 Megabyte!

Windows verwendet in den verschiedenen Ansichten (z.B. 'Große Icons' und 'Kleine Icons' im Explorer) das bestmögliche Icon. Wenn nun ein Programm nur ein 32x32 Pixel großes Icon hat, wird es in der Ansicht 'Kleine Symbole' (oder auch in der linken oberen Ecke des Programms) auf 16x16 Pixel verkleinert. Meistens wird dabei natürlich die Qualität des Icons schlechter. Um dies zu vermeiden, können Sie dem Programm eine Iconressource zuweisen, die sowohl ein 32x32 und ein 16x16 Pixel großes Icon besitzt. Sie können dadurch einem Programm auch zwei völlig verschiedene Icons zuweisen, d.h. in der Ansicht 'Kleine Symbole' kann ein anderes Icon erscheinen als in der Ansicht 'Große Symbole'.

Die Oberfläche des Ressourcen Editors:

Links oben befindet sich eine Fortschrittsanzeige und darunter ein großes Anzeigefeld für die Icons einer Iconressource. Nochmals darunter ist ein Feld in dem der Name der aktuellen Iconressource angezeigt wird. Sie können ein Icon in einer Iconressource markieren indem Sie es mit der rechten Maustaste anklicken. Um mehrere Icons zu markieren, verwenden Sie zusätzlich die 'Shift-Taste'.

Auf der rechten Seite des Ressourcen Editors befindet sich eine Reihe von Buttons:

Öffnen | Öffnet eine vorhandene Iconressource
Neu | Erstellt eine neue Iconressource
Ersparnis | Zeigt an, wieviel Platz Sie sich durch die Iconressource auf Ihrer Festplatte sparen (wenn Sie die einzelnen Icons löschen). Der Wert wird nur bei FAT 16 Laufwerken richtig angezeigt
Markieren | Markiert alle Icons in der Iconressource
Demarkieren | Demarkiert alle Icons in der Iconressource
Extrahieren | Extrahiert die markierten Icons aus der Iconressource
Löschen | Löscht die markierten Icons aus einer Iconressource
Beenden | Schließt den Ressourcen Editor


Create a new Resource

Neue Iconressource erstellen

Klicken Sie auf den Button 'Neu' und geben Sie in dem erscheinenden Dialogfeld einen Namen für die Iconressource ein. Der Name und der Pfad der Datei erscheint am unteren Rand des Ressourcen Editors und Sie können ihr nun Icons hinzufügen.

Wenn Sie die Iconressource einem Programm zuweisen wollen, wählen Sie in der Dateiartauswahl die Endung '*.ico' anstatt '*.icr' (Sie können eine '.icr' Datei aber auch später einfach in '.ico' umbenennen).

Ziehen Sie nun die einzelnen Icons aus dem Öffnen Dialogfeld auf die große Anzeige im Ressourcen Editor. Um mehrere Icons gleichzeitig in die Iconressource zu kopieren, markieren Sie die gewünschten Icons im Öffnen Dialogfeld und ziehen Sie sie anschließend auf das Anzeigefeld im Ressourcen Editor.

Statt auf den Button 'Neu' zu klicken, können Sie auch ein oder mehrere Icons auf den Button 'Neu' ziehen.


Add Icons to a Resource

Icons zu einer Ressource hinzufügen

Klicken Sie auf den Button 'Öffnen' und geben Sie in dem erscheinenden Dialogfeld den Namen der zu öffnenden Iconressource an. Nun können Sie die Icons auf das Anzeigefeld ziehen.

Statt auf den Button 'Öffnen' zu klicken, können Sie auch ein oder mehrere Icons auf den Button 'Öffnen' ziehen.


Extracting Icons from a Resource

Icons aus Ressource extrahieren

Wenn Sie auf den Button 'Extrahieren' im Ressourcen Editor klicken, erscheint ein Dialogfeld in dem Sie angeben können, ob Sie jedem zu extrahierenden Icon einen eigenen Namen geben wollen (Dieses Icon in diese Datei extrahieren), oder ob Sie die Namensgebung IconEdit Pro überlassen wollen (Alle Icons in numerierte Dateien extrahieren).

In dem Bildfeld links oben wird das aktuelle Icon angezeigt. Mit den Pfeiltasten rechts daneben können Sie ein Icon vor oder zurück schalten.

Beispiel: Sie haben 10 Icons markiert und wollen diese nun extrahieren. Sie wollen den ersten zwei Icons einen bestimmten Namen geben und die letzten acht durchnummerieren. Klicken Sie dazu auf den Button 'Extrahieren'. Das 'Extrahieren Dialogfeld' erscheint und links oben wird das erste markierte Icon angezeigt. Geben Sie in dem Textfeld rechts daneben einen Pfad und Dateiname für dieses Icon an (Sie können dazu auch den kleinen 'Öffen Button' ganz rechts verwenden) und klicken Sie anschließend auf 'Extrahieren'. Das Icon wird extrahiert und links oben wird das nächste markierte Icon angezeigt.
Wiederholen Sie nun die obere Prozedur. In dem Anzeigefeld unter den Pfeiltasten wird nun '3/10' angezeigt. Nun wählen Sie 'Alle Icons in fortlaufende Dateien extrahieren' und geben Sie in dem Textfeld einen gemeinsamen Namen und Pfad für die restlichen Icons an (z.B. Icon) und klicken Sie anschließend auf 'Extrahieren'. Die restlichen acht Icons werden nun extrahiert und 'Icon0001 - Icon0008' benannt.


file:///D:/DATEN/VB5/Icon60Alpha/HELP/HTML/Deutsch/Scripts/Scripts.txt

IconEdit Pro Script Referenz

ANI | CLICK | COLOR | DRAG | ICON | KEY | LOOP
MSG | NAME | OPEN | PALETTENR | PURPOSE | TOOL | WAIT

ANI

Zweck:

Wechselt das aktuelle Bild der Animation.

Syntax:

ANI: Nummer

Parameter:

Nummer: Zahl von 1 bis zur Anzahl der Bilder in der Animation

Beispiel:

Auf das fünfte Bild der Animation schalten (wenn die Animation weniger als fünf Bilder enthält, tritt ein Fehler auf).

ANI: 5

CLICK

Zweck:

Simuliert eine Klick auf die Zeichenfläche.

Syntax:

CLICK: x,y

Parameter:

x: eine Zahl von 1 bis zur Breite des aktuellen Icons
y: eine Zahl von 1 bis zur Höhe des aktuellen Icons

Beispiel:

Verwenden Sie den folgenden Befehl um auf den zehnten Punkt in der dritten Zeile des Icons zu klicken.

CLICK: 10,3

COLOR

Zweck:

Erstellt die angegebene Farbe auf der aktuellen Position in der Farbpalette.

Syntax:

COLOR: rot,grün,blau

Parameter:

rot: eine Zahl von 0 bis 255 die den Rotanteil der Farbe angibt
grün: eine Zahl von 0 bis 255 die den Grünanteil der Farbe angibt
blau: eine Zahl von 0 bis 255 die den Blauanteil der Farbe angibt

Beispiel:

Verwenden Sie den folgenden Befehl um die Farbe 'Gelb' zu erstellen.

COLOR: 255,255,0

DRAG

Zweck:

Simuliert das Klicken und Ziehen mit der Maus.

Syntax:

DRAG: x1,y1,x2,y2

Parameter:

x1: eine Zahl von 1 bis zur Breite des aktuellen Icons
y1: eine Zahl von 1 bis zur Höhe des aktuellen Icons
x2: eine Zahl von 1 bis zur Breite des aktuellen Icons
y2: eine Zahl von 1 bis zur Höhe des aktuellen Icons

Bemerkungen:

Benutzen Sie diesen Befehl um Linien, Rechtecke, Kreise... zu zeichnen.

Beispiel:

Verwenden Sie den folgenden Befehl um eine diagonale Linie in einem 32x32 Icon zu zeichnen.

TOOL: 2
DRAG: 1,1,32,32

ICON

Zweck:

Wechselt das aktuelle Icon.

Syntax:

ICON: Nummer

Parameter:

Nummer: eine Zahl von 1 bis 4

Beispiel:

Verwenden Sie den folgenden Befehl um auf das dritte Icon zu wechseln.

ICON: 3

KEY

Zweck:

Simuliert einen Druck auf eine Taste.

Syntax:

KEY: Taste(n)

Parameter:

Taste(n): siehe Bemerkungen...

Bemerkungen:

Dies ist das leistungsstärkste Schlüsselwort der Script-Engine.

Jede Taste wird durch einen oder mehrere Buchstaben repräsentiert. Um eine einzelne Taste festzulegen, verwenden Sie einfech deren Buchstaben. Um zum Beispiel die Taste A festzulegen, verwenden Sie A für Taste(n). Um mehr als eine Taste festzulegen, hängen Sie jeden zusätzlichen and den vorigen an. Um die Tsten A, B und C festzulegen, verwenden Sie ABC für Taste(n).

Um Tasten festzulegen, die nicht angezeigt werden wenn Sie sie drücken (ENTER, TAB, ...) oder Aktionen auslösen, können Sie folgende Codes verwenden.

Taste | Code
BACKSPACE | {BACKSPACE}
DEL or DELETE | {DELETE} or {DEL}
DOWN ARROW | {DOWN}
END | {END}
ENTER | {ENTER}
ESC | {ESC}
HOME | {HOME}
INS or INSERT | {INSERT} or {INS}
LEFT ARROW | {LEFT}
PAGE DOWN | {PGDN}
PAGE UP | {PGUP}
RIGHT ARROW | {RIGHT}
TAB | {TAB}
UP ARROW | {UP}
F1 | {F1}
F2 | {F2}
F3 | {F3}
F4 | {F4}
F5 | {F5}
F6 | {F6}
F7 | {F7}
F8 | {F8}
F9 | {F9}
F10 | {F10}
F11 | {F11}
F12 | {F12}

Um Tatenkombinationen mit SHIFT, STRG and ALT festzulegen, setzten Sie einen der folgenden Codes vor die Buchstaben:

Taste Code
SHIFT +
CTRL ^
ALT %

Um festzulegen, daß SHIFT, STRG oder ALT gedrückt bleiben soll während einige andere Tasten gedrückt werden, schließen Sie diese in Klammern. Um z.B. E und C zu drücken währen SHIFT gedrückt bleibt verwenden Sie +(EC). Um E und SHIFT zu drücken und dann C ohne SHIFT verwenden Sie +EC.

Um eine Taste öfter als einmal zu drücken können Sie folgende Form verwenden: {Taste(n) Anzahl}. Um z.B. den Linkspfeil 10 mal zu drücken können Sie den Befehl {LEFT 10} verwenden. Um die Taste H fünf mal zu drücken verwenden Sie den Befehl {H 5}.

Mit dem KEY Schlüsselwort können Sie fast jede Funktion von IconEdit Pro aufrufen. Bei den meisten Funktionen (im Menü...) ist ein Buchstabe unterstrichen. Um eine solche Funktion aufzurufen drücken Sie 'ALT + unterstrichenen Buchstaben' (z.B. %O für den OK-Button in allen Dialogfeldern).
Um den 'Farbverlaufs-Button' zu drücken verwenden Sie den Buchstaben 'W', für den 'Bereichs-Button' den Buchstaben 'Y' und um einen markierten Farbbereich aufzuheben 'X'.

Beispiel:

Verwenden Sie den folgenden Befehl um den 'Antialiasing Dialog' aufzurufen, den Wert auf '5' zu setzten und 'OK' zu drücken:

KEY: {F1}
KEY: %I
KEY: {RIGHT 5}
KEY: %O

LOOP

Zweck:

Führt die umschlossenen Befehle x-mal aus.

Syntax:

LOOP: Nummer
.
.
.
END LOOP

Parameter:

Nummer: eine Zahl von 2 bis x

Beispiel:

Verwenden Sie den folgenden Befehl um das aktuelle Icon dreimal aufzuhellen (Ich weiß, dies ist kein gutes Beispiel - schauen Sie sich die mitgelieferten Scripts für bessere Beispiele an).

LOOP: 3
KEY: {F1}
KEY: %I
KEY: {RIGHT 5}
KEY: %O
END LOOP

MSG

Zweck:

Zeigt eine beliebige Meldung an.

Syntax:

MSG: Meldung,Buttons,Titel

Parameter:

Meldung: Meldung die angezeigt werden soll (Sie dürfen keine Beistrich verwenden).

Buttons: 0... um nur einen OK-Button anzuzeigen
1... um einen OK- und ABBRECHEN-Button anzuzeigen
16 addieren... um ein 'Critical Message' Icon (=Stoptafel) anzuzeigen
32 addieren... um ein 'Warning Query' Icon (=Fragezeichen) anzuzeigen
48 addieren... um ein 'Warning Message' Icon (Rufezeichen) anzuzeigen
64 addieren... um ein 'Information Message' Icon anzuzeigen

Titel: Text der in der Titelleiste der Nachricht angezeigt werden soll

Beispiel:

Verwenden Sie den folgenden Befehl um die Nachricht 'Ich liebe IconEdit Pro' mit 'Bekenntnis' in der Titelleiste , einem OK-, ABBRECHEN-Button und einem Informationsicon, anzuzeigen.

MSG: Ich liebe IconEdit Pro,65,Bekenntnis

NAME

Zweck:

Legt den Namen fest der im Script-Menü von IconEdit Pro angezeigt wird.

Syntax:

NAME: Text

Parameter:

Text: ein beliebiger Name für das Script

Beispiel:

Verwenden Sie den folgenden Befehl um 'Super Mega Script' im Script-Menü anzuzeigen.

NAME: Super Mega Script

OPEN

Purpose:

Öffnet ein beliebiges Icon in IconEdit Pro.

Syntax:

OPEN: Dateiname,Nummer

Parameter:

Dateiname: Name und Pfad des zu öffnenden Icons
Nummer: eine Zahl von 1 bis 4 die eines der vier Iconfelder festlegt

Bemerkungen:

Wenn Sie keine Pfad angeben, sucht IconEdit Pro das Icon im Script-Verzeichnis.

Beispiel:

Verwenden Sie den folgenden Befehl um das Icons 'test.ico', welches sich im Script-Verzeichnis befindet, zu laden.

OPEN: test.ico,1

PALETTENR

Zweck:

Simuliert einen Klick auf die Farbpalette.

Syntax:

PALETTENR: Spalte,Zeile

Parameter:

Spalte: eine Zahl von 1 bis 8
Zeile: eine Zahl von 1 bis 33

Bemerkungen:

Benutzen Sie diesen Befehl in Kombination mit den Tasten 'W, X, Y' um Farbverläufe und -bereiche festzulegen.

Beispiel:

Verwenden Sie den folgenden Befehl um die dritte Farbe in der zweiten Spalte der Farbpalette auszuwählen.

PALETTENR: 2,3

PURPOSE

Zweck:

Legt fest, was angezeigt wird, wenn der Benutzer mit gedrückter Shift-Taste auf das Script im Menü klickt.

Syntax:

PURPOSE: Text

Parameter:

Text: beliebiger Text

Beispiel:

Verwenden Sie den folgenden Befehl um den Text 'Denken Sie einfach nur an ein Icon und dieses Script zeichnet es automatisch für Sie' anzuzeigen, wenn .

PURPOSE: Just think of an icon and this script draws it for you...

TOOL

Zweck:

Wechselt das aktuelle Zeichenwerkzeugl.

Syntax:

TOOL: Nummer

Parameter:

Nummer: eine Nummer von 1 bis 10

Nummer | Werkzeug
1 | Freihand
2 | Line
3 | Rechteck
4 | Gefülltes Rechteck
5 | Kreis/Ellipse
6 | Gefüllter Kreis/Ellipse
7 | Füllen
8 | Sprühen
9 | Markieren
10 | Klonen

Beispiel:

Verwenden Sie den folgenden Befehl um auf das 'Füllen-Werkzeug' zu schalten:

TOOL: 7

WAIT

Zweck:

Hält die Ausführung des Scripts kurz an.

Syntax:

WAIT: Zeit

Parameter:

Zeit: Millisekunden/50
1... 50 ms
2... 100 ms... etc.

Bemerkungen:

Die Script-Engine sendet die Befehle zu IconEdit Pro ohne auf deren Ende zu warten. Manchmal kommt es vor (bei aufwendingen Funktionen), daß ein Befehl noch nicht ausgeführt wurde und schon der nächste gesendet wird. Um dies zu vermeiden gibt es das 'WAIT' Schlüsselwort. Normalerweise genügt ein Wert von '1'.

Beispiel:

Verwenden Sie den folgenden Befehl um das aktuelle Icon in eine Animation zu kopieren und dann auf des zweite Icon umzuschalten (wenn Sie hier das 'WAIT' Schlüsselwort nicht verwenden, wechselt IconEdit Pro auf Icon 2 bevor das aktuelle kopiert wird und so wird stattdessen Icon 2 kopiert).

KEY: %(AO)
WAIT: 1
ICON: 2


Adding Comments to Scripts

Kommentare in Scripts einfügen

Sie können einem Script beliebige Kommentare hinzufügen, aber sie müssen in eine eigenen Zeile stehen:

richtig : <Alt - R> drücken
KEY: %R

falsch: KEY: %R '<Alt - R> drücken

Setzen Sie einen beliebigen Buchstaben (ein Strichpunkt (;) wird bevorzugt) vor ein Schlüsselwort um es vorübergehend auszuschalten.

KEY: A
KEY: B
;KEY: C
KEY: D

In diesem Beispiel werden nur die Tasten 'A, B und D' gedrückt.


Example

Ein Beispiel

Werfen wir einen genaueren Blick auf das Script 'Sphere (fixed gradation)' welches mit IconEdit Pro mitgeliefert wird:

Die erste Zeile teil IconEdit Pro mit, was im 'Script-Menü' angezeigt werden soll. Die zweite Zeile legt fest, was angezeigt wird, wenn der Benutzer im 'Script-Menü' mit gedrückter SHIFT Taste auf das Script klickt.

NAME: Sphere (fixed gradation)
PURPOSE: Draw a perfect sphere (fixed gradation)

Diese drei Zeilen markieren die Farben der ersten Spalte in der Palette.

PALETTENR: 1,1
KEY: Y
PALETTENR: 1,33

Diese zwei Zeilen vergrößern das Icon auf 64x64 Punkte.

KEY: +{F5}
KEY: {ENTER}

Diese Zeilen zeichnen einen gefüllten Kreis mit Mittelpunkt x: 32, y: 32

TOOL: 6
PALETTENR: 1,1
DRAG: 32,32,60,60

Diese Zeilen stellen den 'radialen Farbverlauf' ein und füllen den Kreis mit den im 2. Schritt festgelegten Farben.

KEY: {F11}
KEY: %R
KEY: %O
TOOL: 7
CLICK: 21,21

Den 'Antialiasing Dialog' öffnen und den Wert auf sein Maximum (10) stellen.

KEY: {F1}
KEY: %I
KEY: {END}
KEY: %O

Das Icon auf 32x32 Punkte verkleinern.

KEY: +{F3}
KEY: {ENTER}

Einen weißen Glanzpunkt in der linken oberen Ecke setzen.

PALETTENR: 8,33
COLOR: 255,255,255
KEY: k
KEY: 3
KEY: %e
KEY: {RIGHT}
KEY: %t
KEY: {LEFT}
KEY: %O


IconWizard - Overview

Das Auswahlfeld | Hier werden alle Icons und Einstellungen die Sie ändern können aufgelistet. Wenn sie hier auf eine Einstellung klicken, erscheinen auf der rechten Seite die dazugehörigen Optionen.
Standard-Icon | Zeigt das Icon, welches das System anzeigt, wenn noch keine Änderung vorgenommen wurde oder wenn alle Änderungen rückgängig gemacht werden.
Derzeitiges Icon | Zeigt das Icon, welches derzeit vom System verwendet wird. Wurde noch keine Änderung vorgenommen, entspricht dieses dem Standard Icon.
Neues Icon | Zeigt das Icon, welches vom System verwendet wird wenn Sie auf den Knopf 'Übernehmen' klicken.
Ändern | Wenn Sie auf diesen Button klicken, erscheint ein Dialogfeld in dem Sie ein Icon auf Ihrer Festplatte dem 'Neuen Icon' zuweisen können. Sie habe die Möglichkeit entweder normale Icons (ICO) zu verwenden oder Icons aus DLL- und EXE-Dateien zu extrahieren.
Aufheben | Mit diesem Button heben Sie die Änderung des 'Neuen Icons' auf.
Standard wiederherstellen | Mit diesem Button ändern Sie das 'Derzeitige Icon' wieder in das 'Standard Icon'.
Übernehmen | Erst dieser Button macht alle Ihre Änderungen im System wirksam.
Datei/Alle Änderungen rückgängig machen | Entspricht dem Button 'Aufheben', nur werden alle Ihre derzeitigen Änderungen aufgehoben.
Datei/Alle Standard-Icons wiederherstellen | Entspricht dem Button 'Standard wiederherstellen', nur werden allen Icons im System wieder ihre Standardwerte zugewiesen.
Datei/Icons neu einlesen | Falls Windows einige Icons falsch darstellt, sollten Sie diese Option benutzen.


Question 1

1. Wie fülle ich ein Icon mit einem Farbverlauf?

Um eine Farbverlauf zu erstellen, müssen Sie zuerst die Farben für diesen Verlauf erstellen. Nehmen wir an Sie wollen einen Verlauf von Blau nach gelb.

Die Farben in der Palette sind in Spalten angeordnet, d.h. die erste Farbe befindet sich ganz links oben, die zweite darunter (nicht daneben!) usw. bis zum Ende der Spalte und dann geht es oben am Anfang der zweiten Spalte weiter.

Klicken Sie nun in der Palette auf die erste Farbe (ganz links oben) und erstellen Sie mit den Schiebereglern auf der rechten Seite die Farbe 'Blau'. Jetzt klicken Sie auf die letzte Farbe der ersten Spalte (ganz links unten) und weisen Ihr gelb zu. Nun klicken Sie auf den Button 'Verlauf' (der Mauszeiger ändert sich in einen nach oben gerichteten Pfeil) und anschließend auf das am Anfang erstellte 'Blau' (ganz links oben).

Die Farben gehen nun langsam von blau in gelb über. Nun müssen Sie noch festlegen welche Farben zum Füllen herangezogen werden sollen. Dazu klicken Sie auf die erste Farbe (das 'Blau' links oben) und dann auf den Button 'Bereich' (der Mauszeiger ändert sich wieder in einen nach oben gerichteten Pfeil) und schlußendlich auf die letzte Farbe (das 'Gelb' links unten).
Die gesamte Spalte wird nun markiert und für die Füllung verwendet.

Jetzt müssen Sie nur noch festlegen ob Sie eine lineare, radiale, konische oder rechteckige Füllung wollen. Klicken Sie dazu im Menü 'Effekte' auf den Eintrag 'Farbverlauf Optionen' und wählen anschließend die gewünschte Option.

Jetzt wählen Sie nur noch das Füllwerkzeug aus der vertikalen Werkzeugleiste und klicken in des Icon.

Das ganze sieht auf den ersten Blick recht kompliziert aus, wenn man aber erst einmal die Funktionsweise verstanden hat, geht dies alles sehr schnell.


Question 2

2. Im Öffnen Dialog werden die Icons nur in 32x32 Punkten angezeigt

Das Display im Öffnen Dialog (sowie im Ressourcen Editor) kann alle Icons nur bis zu 32x32 Punkten anzeigen. Wenn Sie allerdings das Icon im Display anklicken, wird es links oben in seiner richtigen Größe angezeigt.


Question 3

3. Icons werden am Desktop nur in 16 Farben dargestellt

Um Icons mit mehr als 16 Farben am Desktop anzuzeigen, müssen Sie Windows im High- oder Truecolor Modus betreiben. Weiters müssen Sie einen Kleinen Eintrag in der Windows Registrierung machen.

Fügen Sie unter 'HKEY_CURRENT_USER/Control Panel/Desktop/WindowMetrics/' den Eintrag 'Shell Icon BPP' ein und weisen ihm den Wert '16' zu.

Leichter geht dies mit dem inkludierten IconWizard (letztes Symbol auf der horizontalen Werkzeugleiste)


Question 4

4. Gibt es eine Pipette zum Aufnehmen von Farben

Klicken Sie einfach mit der rechten Maustaste auf die gewünschte Farbe im Icon und sie wird als aktuelle Zeichenfarbe übernommen.


Question 5

5. Gibt es eine Screen-Capture Funktion?

Wählen Sie '*.bmp; *.jpg; *.gif' in der Dateiartauswahl im Öffnen Dialog. Der Button 'Drucken' wandelt sich in 'Bildschirm einfangen'. Klicken Sie auf diesen Button und der Desktop wird als Grafik im rechten Display angezeigt aus der Sie dann beliebige Icons ausschneiden können.


Question 6

6. Einige Buttons in der Werkzeugleiste funktionieren nicht

Die meisten Werkzeuge funktionieren nur im High- oder Truecolor Modus. Sie arbeiten wahrscheinlich im 256-Farben Modus.


Question 7

7. Wo sind die Undo-Felder?

Drücken Sie einfach die 'Space-Taste' um die Undo-Felder ein- und auszublenden.


Question 8

8. IconEdit Pro reagiert sehr langsam

Schalten Sie die Funktion 'Farben zählen' im Menü 'Spezial' aus.


Question 9

9. Aus Bildern (Bitmaps) ausgeschnittene Icons werden im Editor schwarz angezeigt

Um Icons erfolgreich aus Bitmaps auszuschneiden, müssen Sie Windows im High- oder Truecolor Modus starten. Sie arbeiten wahrscheinlich im 256 Farben Modus.


Question 10

10. Wie mache ich Pixel transparent?

Um Pixels transparent zu machen, d.h. der Desktop schaut durch, müssen Sie auf 'transparente Farbe' umstellen. Klicken Sie dazu auf den Button 'Trpt' unter der Farbpalette.
Nun können Sie alle Zeichenwerkzeuge benutzen um transparent Pixels zu zeichnen.

Schauen Sie auf die Maske des Icons, um herauszufinden, welche Pixels transparent (weiß) und welche nicht transparent (schwarz) sind.


Question 9

11. Wo ist der Ressource Editor?

Klicken Sie im Öffnen Dialog auf den ersten Butten ganz links unten...


Keyboard Shortcuts

Tastenkürzel

Neben den Strg-Kombinationen (im Menü angeführt) können Sie folgende Tastenkürzel verwenden (ohne <Strg> oder <Alt> ...):

Taste | Funktion
Space | Zeigt die Undo-Felder
n | Neu
o | Öffnen
s | Speichern
a | Speichern unter
q | Beenden
z | Rückgängig
c | Kopieren
v | Einfügen
t | In Zwischenablage kopieren
u | Farben zählen ein/aus
g | Gitter anzeigen ein/aus
h | Horizontal spiegeln
v | Vertikal spiegeln
l | Links drehen
r | Rechts drehen
1 | Antialiasing
2 | Helligkeit/Sättigung
3 | Kontrast
4 | Schatten
5 | Farbe tauschen
6 | Erheben/Vertiefen
7 | Invertieren
8 | Text
9 | Farbverlauf-Optionen
0 | Sprüh-Optionen
i | Bild einfügen (Animation)
d | Bild löschen (Animation)
w | Verlauf (der Button rechts neben der Palette)
y | Bereich
x | Bereich aufheben
shift 1 | normale Farbe
shift 2 | transparente Farbe


Tip 1

1. Verwenden Sie die Cursortasten bei einer Animation

Die Cursortasten sind bei der Erstellung einer Animation eine große Hilfe. Halten Sie nämlich den 'Linkspfeil' gedrückt, wird das Bild vor dem aktuellen Bild der Animation im Editor eingeblendet bis Sie die Taste wieder loslassen. Halten Sie den 'Abpfeil' gedrückt, wird das aktuelle und halten Sie den 'Rechtspfeil' gedrückt, wird das Bild nach dem aktuellen Bild der Animation eingeblendet.

Beispiel: Sie zeichnen gerade ein Bild für eine Animation. Durch gedrückthalten des 'Linkspfeils' können Sie schnell das vorhergehende Bild einblenden und so leicht die Unterschiede feststellen.

Weitere Möglichkeit: Klicken Sie in einer fertigen Animation auf das zweite Bild, um es als aktuelles Bild zu definieren. Klicken Sie anschließend auf das Symbol 'Zum Editor' um das aktuelle Bild in den Editor zu übertragen. Wenn Sie jetzt den 'Linkspfeil' und an schließend den 'Rechtspfeil' gedrückt halten (und dann wieder umgekehrt), können Sie die ersten drei Bilder der Animation vor und zurückspielen und so leicht die Flüssigkeit der Bewegung überprüfen.


Tip 2

2. Doppelklick auf ein Iconfeld

Ein Doppelklick auf eines der vier Iconfelder überträgt das Icon in das aktuelle Bild einer Animation (entspricht der Funktion 'Icon vom Editor' im Animationspanel).


Tip 3

3. Doppelklick auf ein Bild einer Animation

Ein Doppelklick auf eines der Bilder in einer Animation überträgt es in den Editor (entspricht der Funktion 'Icon zum Editor' im Animationspanel).


Tip 4

4. Doppelklick auf ein Icon in der Übersicht des Öffnen Dialoges

Ein Doppelklick auf eines der Icons in der Übersicht im Öffnen Dialog schließt den Öffnen Dialog und überträgt das Icon in den Editor.


Tip 5

5. Zeichnen einer realistischen Kugel

  1. Zeichnen Sie in ein 64x64 Punkte großes Icon einen gefüllten Kreis mit Mittelpunkt 32,32 und Durchmesser 55. (Abb. 1)

  2. Markieren Sie einen Farbbereich von Schwarz nach Rot und stellen Sie unter den Farbverlauf-Optionen die Füllart 'Radial' ein. Wählen Sie anschließend das Füllwerkzeug aus und klicken Sie ungefähr bei 21,21 in den Kreis. (Abb. 2)

  3. Nun sollten Sie noch die Kanten des Kreises glätten. Wählen Sie dazu die Funktion 'Antialiasing' und stellen Sie mit dem Schieberegler den Wert '10' ein. (Abb. 3)

  4. Jetzt verkleinern Sie im Menü 'Größe' das Icon auf 32x32. Beantworten Sie die Frage 'Wollen Sie das aktuelle Icon an die neue Größe anpassen?' mit 'Ja'. (Abb. 4)

  5. Um die Kugel noch realistischer zu machen, können Sie noch einen Glanzpunkt hinzufügen. Stellen Sie dazu die aktuelle Zeichenfarbe auf weiß und wählen Sie die Funktion 'Highlight'. In dem erscheinenden Dialogfeld klicken Sie einmal auf den Pfeil nach rechts unten um die Position auf 6,6 zu ändern. Die Größe ändern Sie auf 5 und die Stärke auf 7. Klicken Sie anschließend of 'Ok'.

Ihre Kugel sollte nun wie die in Abbildung 5 aussehen.

kugel1.gif (1800 bytes) |  |  |  |
Abb. 1 | Abb.2 | Abb. 3 | Abb. 4 | Abb. 5


Tip 6

6. Farbverlauf beim Sprühen

Wenn ein Farbbereich festgelegt ist, werden die Farben beim Sprühen durchgewechselt.


Tip 7

7. Standard Dialog zur Farbauswahl

Wenn Sie nicht die Schieberegler neben der Palette zur Farbeinstellung verwenden wollen, können Sie den standard Dialog von Windows zur Farbauswahl benutzen. Klicken Sie dazu einfach auf eine der Bezeichnungen 'Rot', 'Grün' oder 'Blau' über den Schiebereglern.


Tip 8

8. Rechtsklick auf Undo-Button

Wenn Sie mit der rechten Maustaste auf den Undo-Knopf (vierter von links in der horizontalen Werkzeugleiste) klicken, werden die Undo-Felder eingeblendet (gleiche Funktion wie die Taste 'Space').


Tip 9

9. Rechtsklick auf Verschieben-Button

Wenn Sie mit der rechten Maustaste auf das Verschieben-Symbol in der Horizontalen Werkzeugleiste klicken, können Sie den derzeit markierten Ausschnitt oder das ganze Icon verschieben, ohne das Verschieben Dialogfeld aufzurufen. In welche Richtung verschoben wird, hängt von der Stelle ab auf die Sie im Verschieben-Symbol klicken.

Die folgende (vergrößerte) Abbildung zeigt die Bereiche des Symbols an (rot = nach rechts, gelb = nach unten, grün = nach links, blau = nach oben, türkis = zentrieren)

shift.jpg (2798 bytes)


Uninstall IconEdit Pro

IconEdit Pro deinstallieren

Zum Deinstallieren von IconEdit Pro können Sie das von Windows 95 vorgesehene Dialogfeld zur Deinstallierung verwenden.
Klicken Sie dazu in der Systemsteuerung auf das Icon 'Software'. Es erscheint eine Liste mit den von Ihnen installierten Programmen. Darunter sollte auch der Eintrag 'IconEdit Pro' sein. Um das Programm nun zu deinstallieren, klicken sie auf diesen Eintrag und anschließend auf den Button 'Hinzufügen/Entfernen'. 'IconEdit Pro' wird nun vollständig von Ihrer der Festplatte gelöscht.


Adressen

Meine Adresse und weitere Informationen

Name | Hagen Wieshofer
Strasse | Schlossberg 9 | Austrasse 3A - Top 203
Ort | A-6391 Fieberbrunn | A-5020 Salzburg
Land | AUSTRIA | AUSTRIA
Telefon | +43 (0)5354-56524 | +43 (0)662 452621
Mobil Telefon | +43 (0)676 7221303
E-Mail | office@iconedit.com
Homepage | http://www.iconedit.com